
-- Testbench for circuit.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY circuit_vhd_tst IS
END circuit_vhd_tst;

ARCHITECTURE circuit_arch OF circuit_vhd_tst IS
	SIGNAL a : STD_LOGIC_VECTOR(1 DOWNTO 0);
	SIGNAL b : STD_LOGIC_VECTOR(1 DOWNTO 0);
	SIGNAL y : STD_LOGIC;
	COMPONENT circuit
		PORT (
		a : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
		b : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
		y : OUT STD_LOGIC
		);
	END COMPONENT;
BEGIN
	i1 : circuit PORT MAP ( a => a, b => b, y => y );

	PROCESS                                                                             
	BEGIN                                                        
		a <= "00"; b <= "00"; wait for 50 ns;
		a <= "00"; b <= "01"; wait for 50 ns;
		a <= "00"; b <= "10"; wait for 50 ns;
		a <= "00"; b <= "11"; wait for 50 ns;
		
		a <= "01"; b <= "00"; wait for 50 ns;
		a <= "01"; b <= "01"; wait for 50 ns;
		a <= "01"; b <= "10"; wait for 50 ns;
		a <= "01"; b <= "11"; wait for 50 ns;		
		
		a <= "10"; b <= "00"; wait for 50 ns;
		a <= "10"; b <= "01"; wait for 50 ns;
		a <= "10"; b <= "10"; wait for 50 ns;
		a <= "10"; b <= "11"; wait for 50 ns;		
		
		a <= "11"; b <= "00"; wait for 50 ns;
		a <= "11"; b <= "01"; wait for 50 ns;
		a <= "11"; b <= "10"; wait for 50 ns;
		a <= "11"; b <= "11"; wait for 50 ns;
		
		WAIT;                                                       
	END PROCESS;                                           
                                     
END circuit_arch;
