
-- 2-Bit Comparator.
-- Tobias Schubert, 2011.

library ieee;                                               
use ieee.std_logic_1164.all;    

entity comparator is 
	port 
		( 
		a, b: in std_logic_vector (1 downto 0);    
		r: out std_logic_vector (2 downto 0)
			-- r = 100 <--> a < b;
			-- r = 010 <--> a == b; 
			-- r = 001 <--> a > b;
		); 
end comparator; 

architecture behavior of comparator is
begin
	r <=  "100" when (a(1) < b(1) or (a(1) = b(1) and a(0) < b(0))) else
			"010" when (a(1) = b(1) and a(0) = b(0)) else
			"001"; 
end behavior;