-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 197 01/19/2011 Service Pack 1 SJ Web Edition"

-- DATE "03/20/2011 21:28:05"

-- 
-- Device: Altera EP2C20Q240C8 Package PQFP240
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	ram IS
    PORT (
	clk : IN std_logic;
	wr : IN std_logic;
	address : IN std_logic_vector(2 DOWNTO 0);
	din : IN std_logic_vector(3 DOWNTO 0);
	dout : OUT std_logic_vector(3 DOWNTO 0)
	);
END ram;

-- Design Ports Information
-- dout[0]	=>  Location: PIN_84,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- dout[1]	=>  Location: PIN_54,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- dout[2]	=>  Location: PIN_46,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- dout[3]	=>  Location: PIN_232,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- din[0]	=>  Location: PIN_44,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- clk	=>  Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- address[2]	=>  Location: PIN_41,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- wr	=>  Location: PIN_47,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- address[0]	=>  Location: PIN_87,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- address[1]	=>  Location: PIN_68,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- din[1]	=>  Location: PIN_42,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- din[2]	=>  Location: PIN_30,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- din[3]	=>  Location: PIN_31,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF ram IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_clk : std_logic;
SIGNAL ww_wr : std_logic;
SIGNAL ww_address : std_logic_vector(2 DOWNTO 0);
SIGNAL ww_din : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_dout : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \memory~24_regout\ : std_logic;
SIGNAL \memory~36_regout\ : std_logic;
SIGNAL \memory~12_regout\ : std_logic;
SIGNAL \memory~8_regout\ : std_logic;
SIGNAL \memory~42_combout\ : std_logic;
SIGNAL \memory~33_regout\ : std_logic;
SIGNAL \memory~25_regout\ : std_logic;
SIGNAL \memory~45_combout\ : std_logic;
SIGNAL \memory~13_regout\ : std_logic;
SIGNAL \memory~9_regout\ : std_logic;
SIGNAL \memory~47_combout\ : std_logic;
SIGNAL \memory~34_regout\ : std_logic;
SIGNAL \memory~26_regout\ : std_logic;
SIGNAL \memory~50_combout\ : std_logic;
SIGNAL \memory~14_regout\ : std_logic;
SIGNAL \memory~10_regout\ : std_logic;
SIGNAL \memory~52_combout\ : std_logic;
SIGNAL \memory~35_regout\ : std_logic;
SIGNAL \memory~27_regout\ : std_logic;
SIGNAL \memory~55_combout\ : std_logic;
SIGNAL \memory~15_regout\ : std_logic;
SIGNAL \memory~11_regout\ : std_logic;
SIGNAL \memory~57_combout\ : std_logic;
SIGNAL \memory~62_combout\ : std_logic;
SIGNAL \memory~65_combout\ : std_logic;
SIGNAL \memory~66_combout\ : std_logic;
SIGNAL \clk~combout\ : std_logic;
SIGNAL \clk~clkctrl_outclk\ : std_logic;
SIGNAL \memory~8feeder_combout\ : std_logic;
SIGNAL \memory~11feeder_combout\ : std_logic;
SIGNAL \memory~27feeder_combout\ : std_logic;
SIGNAL \internalAddress[1]~feeder_combout\ : std_logic;
SIGNAL \wr~combout\ : std_logic;
SIGNAL \memory~64_combout\ : std_logic;
SIGNAL \memory~16_regout\ : std_logic;
SIGNAL \memory~67_combout\ : std_logic;
SIGNAL \memory~20_regout\ : std_logic;
SIGNAL \memory~43_combout\ : std_logic;
SIGNAL \memory~61_combout\ : std_logic;
SIGNAL \memory~32_regout\ : std_logic;
SIGNAL \memory~40_combout\ : std_logic;
SIGNAL \memory~60_combout\ : std_logic;
SIGNAL \memory~28_regout\ : std_logic;
SIGNAL \memory~41_combout\ : std_logic;
SIGNAL \memory~44_combout\ : std_logic;
SIGNAL \memory~63_combout\ : std_logic;
SIGNAL \memory~37_regout\ : std_logic;
SIGNAL \memory~29_regout\ : std_logic;
SIGNAL \memory~46_combout\ : std_logic;
SIGNAL \memory~17_regout\ : std_logic;
SIGNAL \memory~21_regout\ : std_logic;
SIGNAL \memory~48_combout\ : std_logic;
SIGNAL \memory~49_combout\ : std_logic;
SIGNAL \memory~38feeder_combout\ : std_logic;
SIGNAL \memory~38_regout\ : std_logic;
SIGNAL \memory~30_regout\ : std_logic;
SIGNAL \memory~51_combout\ : std_logic;
SIGNAL \memory~18_regout\ : std_logic;
SIGNAL \memory~22_regout\ : std_logic;
SIGNAL \memory~53_combout\ : std_logic;
SIGNAL \memory~54_combout\ : std_logic;
SIGNAL \memory~39_regout\ : std_logic;
SIGNAL \memory~31_regout\ : std_logic;
SIGNAL \memory~56_combout\ : std_logic;
SIGNAL \memory~19_regout\ : std_logic;
SIGNAL \memory~23_regout\ : std_logic;
SIGNAL \memory~58_combout\ : std_logic;
SIGNAL \memory~59_combout\ : std_logic;
SIGNAL \address~combout\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \din~combout\ : std_logic_vector(3 DOWNTO 0);
SIGNAL internalAddress : std_logic_vector(2 DOWNTO 0);

BEGIN

ww_clk <= clk;
ww_wr <= wr;
ww_address <= address;
ww_din <= din;
dout <= ww_dout;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clk~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \clk~combout\);

-- Location: LCFF_X4_Y8_N11
\memory~24\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(0),
	sload => VCC,
	ena => \memory~62_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~24_regout\);

-- Location: LCFF_X5_Y8_N11
\memory~36\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(0),
	sload => VCC,
	ena => \memory~63_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~36_regout\);

-- Location: LCFF_X7_Y7_N29
\memory~12\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(0),
	sload => VCC,
	ena => \memory~65_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~12_regout\);

-- Location: LCFF_X8_Y7_N25
\memory~8\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \memory~8feeder_combout\,
	ena => \memory~66_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~8_regout\);

-- Location: LCCOMB_X7_Y7_N28
\memory~42\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~42_combout\ = (internalAddress(0) & ((internalAddress(1)) # ((\memory~12_regout\)))) # (!internalAddress(0) & (!internalAddress(1) & ((\memory~8_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => internalAddress(0),
	datab => internalAddress(1),
	datac => \memory~12_regout\,
	datad => \memory~8_regout\,
	combout => \memory~42_combout\);

-- Location: LCFF_X4_Y8_N21
\memory~33\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(1),
	sload => VCC,
	ena => \memory~61_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~33_regout\);

-- Location: LCFF_X4_Y8_N23
\memory~25\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(1),
	sload => VCC,
	ena => \memory~62_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~25_regout\);

-- Location: LCCOMB_X4_Y8_N20
\memory~45\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~45_combout\ = (internalAddress(1) & (((\memory~33_regout\) # (internalAddress(0))))) # (!internalAddress(1) & (\memory~25_regout\ & ((!internalAddress(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => internalAddress(1),
	datab => \memory~25_regout\,
	datac => \memory~33_regout\,
	datad => internalAddress(0),
	combout => \memory~45_combout\);

-- Location: LCFF_X7_Y7_N9
\memory~13\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(1),
	sload => VCC,
	ena => \memory~65_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~13_regout\);

-- Location: LCFF_X8_Y7_N19
\memory~9\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(1),
	sload => VCC,
	ena => \memory~66_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~9_regout\);

-- Location: LCCOMB_X7_Y7_N8
\memory~47\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~47_combout\ = (internalAddress(0) & ((internalAddress(1)) # ((\memory~13_regout\)))) # (!internalAddress(0) & (!internalAddress(1) & ((\memory~9_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => internalAddress(0),
	datab => internalAddress(1),
	datac => \memory~13_regout\,
	datad => \memory~9_regout\,
	combout => \memory~47_combout\);

-- Location: LCFF_X4_Y8_N9
\memory~34\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(2),
	sload => VCC,
	ena => \memory~61_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~34_regout\);

-- Location: LCFF_X4_Y8_N27
\memory~26\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(2),
	sload => VCC,
	ena => \memory~62_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~26_regout\);

-- Location: LCCOMB_X4_Y8_N8
\memory~50\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~50_combout\ = (internalAddress(1) & (((\memory~34_regout\) # (internalAddress(0))))) # (!internalAddress(1) & (\memory~26_regout\ & ((!internalAddress(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => internalAddress(1),
	datab => \memory~26_regout\,
	datac => \memory~34_regout\,
	datad => internalAddress(0),
	combout => \memory~50_combout\);

-- Location: LCFF_X7_Y7_N11
\memory~14\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(2),
	sload => VCC,
	ena => \memory~65_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~14_regout\);

-- Location: LCFF_X8_Y7_N5
\memory~10\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(2),
	sload => VCC,
	ena => \memory~66_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~10_regout\);

-- Location: LCCOMB_X7_Y7_N10
\memory~52\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~52_combout\ = (internalAddress(0) & (((\memory~14_regout\) # (internalAddress(1))))) # (!internalAddress(0) & (\memory~10_regout\ & ((!internalAddress(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~10_regout\,
	datab => internalAddress(0),
	datac => \memory~14_regout\,
	datad => internalAddress(1),
	combout => \memory~52_combout\);

-- Location: LCFF_X4_Y8_N29
\memory~35\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(3),
	sload => VCC,
	ena => \memory~61_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~35_regout\);

-- Location: LCFF_X4_Y8_N31
\memory~27\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \memory~27feeder_combout\,
	ena => \memory~62_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~27_regout\);

-- Location: LCCOMB_X4_Y8_N28
\memory~55\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~55_combout\ = (internalAddress(1) & (((\memory~35_regout\) # (internalAddress(0))))) # (!internalAddress(1) & (\memory~27_regout\ & ((!internalAddress(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => internalAddress(1),
	datab => \memory~27_regout\,
	datac => \memory~35_regout\,
	datad => internalAddress(0),
	combout => \memory~55_combout\);

-- Location: LCFF_X7_Y7_N13
\memory~15\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(3),
	sload => VCC,
	ena => \memory~65_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~15_regout\);

-- Location: LCFF_X8_Y7_N31
\memory~11\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \memory~11feeder_combout\,
	ena => \memory~66_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~11_regout\);

-- Location: LCCOMB_X7_Y7_N12
\memory~57\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~57_combout\ = (internalAddress(0) & ((internalAddress(1)) # ((\memory~15_regout\)))) # (!internalAddress(0) & (!internalAddress(1) & ((\memory~11_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100110101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => internalAddress(0),
	datab => internalAddress(1),
	datac => \memory~15_regout\,
	datad => \memory~11_regout\,
	combout => \memory~57_combout\);

-- Location: LCCOMB_X5_Y8_N26
\memory~62\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~62_combout\ = (!\address~combout\(1) & (\address~combout\(2) & (\wr~combout\ & !\address~combout\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \address~combout\(1),
	datab => \address~combout\(2),
	datac => \wr~combout\,
	datad => \address~combout\(0),
	combout => \memory~62_combout\);

-- Location: LCCOMB_X7_Y7_N30
\memory~65\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~65_combout\ = (!\address~combout\(2) & (\wr~combout\ & (\address~combout\(0) & !\address~combout\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \address~combout\(2),
	datab => \wr~combout\,
	datac => \address~combout\(0),
	datad => \address~combout\(1),
	combout => \memory~65_combout\);

-- Location: LCCOMB_X7_Y7_N16
\memory~66\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~66_combout\ = (!\address~combout\(2) & (\wr~combout\ & (!\address~combout\(0) & !\address~combout\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \address~combout\(2),
	datab => \wr~combout\,
	datac => \address~combout\(0),
	datad => \address~combout\(1),
	combout => \memory~66_combout\);

-- Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\clk~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_clk,
	combout => \clk~combout\);

-- Location: CLKCTRL_G3
\clk~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk~clkctrl_outclk\);

-- Location: LCCOMB_X8_Y7_N24
\memory~8feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~8feeder_combout\ = \din~combout\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \din~combout\(0),
	combout => \memory~8feeder_combout\);

-- Location: LCCOMB_X8_Y7_N30
\memory~11feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~11feeder_combout\ = \din~combout\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \din~combout\(3),
	combout => \memory~11feeder_combout\);

-- Location: LCCOMB_X4_Y8_N30
\memory~27feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~27feeder_combout\ = \din~combout\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \din~combout\(3),
	combout => \memory~27feeder_combout\);

-- Location: PIN_68,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\address[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_address(1),
	combout => \address~combout\(1));

-- Location: LCCOMB_X7_Y7_N26
\internalAddress[1]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \internalAddress[1]~feeder_combout\ = \address~combout\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \address~combout\(1),
	combout => \internalAddress[1]~feeder_combout\);

-- Location: LCFF_X7_Y7_N27
\internalAddress[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \internalAddress[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => internalAddress(1));

-- Location: PIN_44,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\din[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_din(0),
	combout => \din~combout\(0));

-- Location: PIN_41,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\address[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_address(2),
	combout => \address~combout\(2));

-- Location: PIN_47,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\wr~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_wr,
	combout => \wr~combout\);

-- Location: PIN_87,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\address[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_address(0),
	combout => \address~combout\(0));

-- Location: LCCOMB_X5_Y8_N14
\memory~64\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~64_combout\ = (\address~combout\(1) & (!\address~combout\(2) & (\wr~combout\ & !\address~combout\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \address~combout\(1),
	datab => \address~combout\(2),
	datac => \wr~combout\,
	datad => \address~combout\(0),
	combout => \memory~64_combout\);

-- Location: LCFF_X9_Y11_N9
\memory~16\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(0),
	sload => VCC,
	ena => \memory~64_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~16_regout\);

-- Location: LCCOMB_X7_Y7_N2
\memory~67\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~67_combout\ = (!\address~combout\(2) & (\wr~combout\ & (\address~combout\(0) & \address~combout\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \address~combout\(2),
	datab => \wr~combout\,
	datac => \address~combout\(0),
	datad => \address~combout\(1),
	combout => \memory~67_combout\);

-- Location: LCFF_X9_Y11_N11
\memory~20\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(0),
	sload => VCC,
	ena => \memory~67_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~20_regout\);

-- Location: LCCOMB_X9_Y11_N8
\memory~43\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~43_combout\ = (\memory~42_combout\ & (((\memory~20_regout\)) # (!internalAddress(1)))) # (!\memory~42_combout\ & (internalAddress(1) & (\memory~16_regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~42_combout\,
	datab => internalAddress(1),
	datac => \memory~16_regout\,
	datad => \memory~20_regout\,
	combout => \memory~43_combout\);

-- Location: LCFF_X7_Y7_N1
\internalAddress[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \address~combout\(0),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => internalAddress(0));

-- Location: LCCOMB_X5_Y8_N24
\memory~61\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~61_combout\ = (\address~combout\(1) & (\address~combout\(2) & (\wr~combout\ & !\address~combout\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \address~combout\(1),
	datab => \address~combout\(2),
	datac => \wr~combout\,
	datad => \address~combout\(0),
	combout => \memory~61_combout\);

-- Location: LCFF_X4_Y8_N25
\memory~32\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(0),
	sload => VCC,
	ena => \memory~61_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~32_regout\);

-- Location: LCCOMB_X4_Y8_N24
\memory~40\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~40_combout\ = (internalAddress(0) & (((internalAddress(1))))) # (!internalAddress(0) & ((internalAddress(1) & ((\memory~32_regout\))) # (!internalAddress(1) & (\memory~24_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~24_regout\,
	datab => internalAddress(0),
	datac => \memory~32_regout\,
	datad => internalAddress(1),
	combout => \memory~40_combout\);

-- Location: LCCOMB_X5_Y8_N30
\memory~60\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~60_combout\ = (!\address~combout\(1) & (\address~combout\(2) & (\wr~combout\ & \address~combout\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \address~combout\(1),
	datab => \address~combout\(2),
	datac => \wr~combout\,
	datad => \address~combout\(0),
	combout => \memory~60_combout\);

-- Location: LCFF_X5_Y8_N1
\memory~28\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(0),
	sload => VCC,
	ena => \memory~60_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~28_regout\);

-- Location: LCCOMB_X5_Y8_N0
\memory~41\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~41_combout\ = (\memory~40_combout\ & ((\memory~36_regout\) # ((!internalAddress(0))))) # (!\memory~40_combout\ & (((\memory~28_regout\ & internalAddress(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~36_regout\,
	datab => \memory~40_combout\,
	datac => \memory~28_regout\,
	datad => internalAddress(0),
	combout => \memory~41_combout\);

-- Location: LCFF_X7_Y7_N7
\internalAddress[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \address~combout\(2),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => internalAddress(2));

-- Location: LCCOMB_X5_Y8_N20
\memory~44\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~44_combout\ = (internalAddress(2) & ((\memory~41_combout\))) # (!internalAddress(2) & (\memory~43_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~43_combout\,
	datab => \memory~41_combout\,
	datad => internalAddress(2),
	combout => \memory~44_combout\);

-- Location: PIN_42,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\din[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_din(1),
	combout => \din~combout\(1));

-- Location: LCCOMB_X5_Y8_N4
\memory~63\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~63_combout\ = (\address~combout\(1) & (\address~combout\(2) & (\wr~combout\ & \address~combout\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \address~combout\(1),
	datab => \address~combout\(2),
	datac => \wr~combout\,
	datad => \address~combout\(0),
	combout => \memory~63_combout\);

-- Location: LCFF_X5_Y8_N9
\memory~37\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(1),
	sload => VCC,
	ena => \memory~63_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~37_regout\);

-- Location: LCFF_X5_Y8_N23
\memory~29\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(1),
	sload => VCC,
	ena => \memory~60_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~29_regout\);

-- Location: LCCOMB_X5_Y8_N22
\memory~46\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~46_combout\ = (\memory~45_combout\ & ((\memory~37_regout\) # ((!internalAddress(0))))) # (!\memory~45_combout\ & (((\memory~29_regout\ & internalAddress(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~45_combout\,
	datab => \memory~37_regout\,
	datac => \memory~29_regout\,
	datad => internalAddress(0),
	combout => \memory~46_combout\);

-- Location: LCFF_X9_Y11_N13
\memory~17\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(1),
	sload => VCC,
	ena => \memory~64_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~17_regout\);

-- Location: LCFF_X9_Y11_N23
\memory~21\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(1),
	sload => VCC,
	ena => \memory~67_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~21_regout\);

-- Location: LCCOMB_X9_Y11_N12
\memory~48\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~48_combout\ = (\memory~47_combout\ & (((\memory~21_regout\)) # (!internalAddress(1)))) # (!\memory~47_combout\ & (internalAddress(1) & (\memory~17_regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~47_combout\,
	datab => internalAddress(1),
	datac => \memory~17_regout\,
	datad => \memory~21_regout\,
	combout => \memory~48_combout\);

-- Location: LCCOMB_X7_Y7_N6
\memory~49\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~49_combout\ = (internalAddress(2) & (\memory~46_combout\)) # (!internalAddress(2) & ((\memory~48_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~46_combout\,
	datac => internalAddress(2),
	datad => \memory~48_combout\,
	combout => \memory~49_combout\);

-- Location: PIN_30,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\din[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_din(2),
	combout => \din~combout\(2));

-- Location: LCCOMB_X5_Y8_N28
\memory~38feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~38feeder_combout\ = \din~combout\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \din~combout\(2),
	combout => \memory~38feeder_combout\);

-- Location: LCFF_X5_Y8_N29
\memory~38\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \memory~38feeder_combout\,
	ena => \memory~63_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~38_regout\);

-- Location: LCFF_X5_Y8_N19
\memory~30\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(2),
	sload => VCC,
	ena => \memory~60_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~30_regout\);

-- Location: LCCOMB_X5_Y8_N18
\memory~51\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~51_combout\ = (\memory~50_combout\ & ((\memory~38_regout\) # ((!internalAddress(0))))) # (!\memory~50_combout\ & (((\memory~30_regout\ & internalAddress(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~50_combout\,
	datab => \memory~38_regout\,
	datac => \memory~30_regout\,
	datad => internalAddress(0),
	combout => \memory~51_combout\);

-- Location: LCFF_X9_Y11_N25
\memory~18\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(2),
	sload => VCC,
	ena => \memory~64_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~18_regout\);

-- Location: LCFF_X9_Y11_N27
\memory~22\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(2),
	sload => VCC,
	ena => \memory~67_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~22_regout\);

-- Location: LCCOMB_X9_Y11_N24
\memory~53\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~53_combout\ = (\memory~52_combout\ & (((\memory~22_regout\)) # (!internalAddress(1)))) # (!\memory~52_combout\ & (internalAddress(1) & (\memory~18_regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~52_combout\,
	datab => internalAddress(1),
	datac => \memory~18_regout\,
	datad => \memory~22_regout\,
	combout => \memory~53_combout\);

-- Location: LCCOMB_X5_Y8_N6
\memory~54\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~54_combout\ = (internalAddress(2) & (\memory~51_combout\)) # (!internalAddress(2) & ((\memory~53_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \memory~51_combout\,
	datac => \memory~53_combout\,
	datad => internalAddress(2),
	combout => \memory~54_combout\);

-- Location: PIN_31,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\din[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_din(3),
	combout => \din~combout\(3));

-- Location: LCFF_X5_Y8_N3
\memory~39\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(3),
	sload => VCC,
	ena => \memory~63_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~39_regout\);

-- Location: LCFF_X5_Y8_N17
\memory~31\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(3),
	sload => VCC,
	ena => \memory~60_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~31_regout\);

-- Location: LCCOMB_X5_Y8_N16
\memory~56\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~56_combout\ = (\memory~55_combout\ & ((\memory~39_regout\) # ((!internalAddress(0))))) # (!\memory~55_combout\ & (((\memory~31_regout\ & internalAddress(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101100010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~55_combout\,
	datab => \memory~39_regout\,
	datac => \memory~31_regout\,
	datad => internalAddress(0),
	combout => \memory~56_combout\);

-- Location: LCFF_X9_Y11_N29
\memory~19\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(3),
	sload => VCC,
	ena => \memory~64_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~19_regout\);

-- Location: LCFF_X9_Y11_N31
\memory~23\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \din~combout\(3),
	sload => VCC,
	ena => \memory~67_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \memory~23_regout\);

-- Location: LCCOMB_X9_Y11_N28
\memory~58\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~58_combout\ = (\memory~57_combout\ & (((\memory~23_regout\)) # (!internalAddress(1)))) # (!\memory~57_combout\ & (internalAddress(1) & (\memory~19_regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101001100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \memory~57_combout\,
	datab => internalAddress(1),
	datac => \memory~19_regout\,
	datad => \memory~23_regout\,
	combout => \memory~58_combout\);

-- Location: LCCOMB_X5_Y8_N12
\memory~59\ : cycloneii_lcell_comb
-- Equation(s):
-- \memory~59_combout\ = (internalAddress(2) & (\memory~56_combout\)) # (!internalAddress(2) & ((\memory~58_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => internalAddress(2),
	datac => \memory~56_combout\,
	datad => \memory~58_combout\,
	combout => \memory~59_combout\);

-- Location: PIN_84,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\dout[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \memory~44_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_dout(0));

-- Location: PIN_54,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\dout[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \memory~49_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_dout(1));

-- Location: PIN_46,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\dout[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \memory~54_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_dout(2));

-- Location: PIN_232,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\dout[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \memory~59_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_dout(3));
END structure;


