-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 197 01/19/2011 Service Pack 1 SJ Web Edition"

-- DATE "03/15/2011 16:22:03"

-- 
-- Device: Altera EP2C20Q240C8 Package PQFP240
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	example IS
    PORT (
	trigger : IN std_logic;
	rst : OUT std_logic_vector(31 DOWNTO 0)
	);
END example;

-- Design Ports Information
-- rst[0]	=>  Location: PIN_226,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[1]	=>  Location: PIN_140,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[2]	=>  Location: PIN_97,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[3]	=>  Location: PIN_46,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[4]	=>  Location: PIN_156,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[5]	=>  Location: PIN_162,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[6]	=>  Location: PIN_137,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[7]	=>  Location: PIN_157,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[8]	=>  Location: PIN_109,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[9]	=>  Location: PIN_222,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[10]	=>  Location: PIN_88,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[11]	=>  Location: PIN_150,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[12]	=>  Location: PIN_136,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[13]	=>  Location: PIN_49,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[14]	=>  Location: PIN_149,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[15]	=>  Location: PIN_87,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[16]	=>  Location: PIN_135,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[17]	=>  Location: PIN_141,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[18]	=>  Location: PIN_192,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[19]	=>  Location: PIN_232,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[20]	=>  Location: PIN_223,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[21]	=>  Location: PIN_84,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[22]	=>  Location: PIN_230,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[23]	=>  Location: PIN_208,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[24]	=>  Location: PIN_139,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[25]	=>  Location: PIN_218,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[26]	=>  Location: PIN_203,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[27]	=>  Location: PIN_216,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[28]	=>  Location: PIN_231,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[29]	=>  Location: PIN_214,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[30]	=>  Location: PIN_228,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[31]	=>  Location: PIN_86,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- trigger	=>  Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF example IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_trigger : std_logic;
SIGNAL ww_rst : std_logic_vector(31 DOWNTO 0);
SIGNAL \trigger~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Add1~0_combout\ : std_logic;
SIGNAL \Add1~2_combout\ : std_logic;
SIGNAL \Add1~8_combout\ : std_logic;
SIGNAL \Add1~10_combout\ : std_logic;
SIGNAL \Add1~12_combout\ : std_logic;
SIGNAL \Add1~14_combout\ : std_logic;
SIGNAL \Add1~20_combout\ : std_logic;
SIGNAL \Add1~30_combout\ : std_logic;
SIGNAL \Add1~32_combout\ : std_logic;
SIGNAL \Add1~34_combout\ : std_logic;
SIGNAL \Add1~40_combout\ : std_logic;
SIGNAL \Add1~42_combout\ : std_logic;
SIGNAL \Add1~44_combout\ : std_logic;
SIGNAL \Add1~46_combout\ : std_logic;
SIGNAL \Add1~52_combout\ : std_logic;
SIGNAL \Add1~61\ : std_logic;
SIGNAL \Add1~62_combout\ : std_logic;
SIGNAL \trigger~combout\ : std_logic;
SIGNAL \trigger~clkctrl_outclk\ : std_logic;
SIGNAL \var3[0]~0_combout\ : std_logic;
SIGNAL \Add0~1_combout\ : std_logic;
SIGNAL \rst[0]~0_combout\ : std_logic;
SIGNAL \rst[0]~reg0_regout\ : std_logic;
SIGNAL \Add0~0_combout\ : std_logic;
SIGNAL \Add2~1_cout\ : std_logic;
SIGNAL \Add2~2_combout\ : std_logic;
SIGNAL \rst[1]~reg0_regout\ : std_logic;
SIGNAL \var2[1]~0_combout\ : std_logic;
SIGNAL \Add1~1\ : std_logic;
SIGNAL \Add1~3\ : std_logic;
SIGNAL \Add1~4_combout\ : std_logic;
SIGNAL \Add2~3\ : std_logic;
SIGNAL \Add2~4_combout\ : std_logic;
SIGNAL \rst[2]~reg0_regout\ : std_logic;
SIGNAL \var2[2]~1_combout\ : std_logic;
SIGNAL \Add1~5\ : std_logic;
SIGNAL \Add1~6_combout\ : std_logic;
SIGNAL \Add2~5\ : std_logic;
SIGNAL \Add2~6_combout\ : std_logic;
SIGNAL \rst[3]~reg0_regout\ : std_logic;
SIGNAL \Add2~7\ : std_logic;
SIGNAL \Add2~8_combout\ : std_logic;
SIGNAL \rst[4]~reg0_regout\ : std_logic;
SIGNAL \Add2~9\ : std_logic;
SIGNAL \Add2~10_combout\ : std_logic;
SIGNAL \rst[5]~reg0_regout\ : std_logic;
SIGNAL \Add2~11\ : std_logic;
SIGNAL \Add2~12_combout\ : std_logic;
SIGNAL \rst[6]~reg0_regout\ : std_logic;
SIGNAL \Add2~13\ : std_logic;
SIGNAL \Add2~14_combout\ : std_logic;
SIGNAL \rst[7]~reg0_regout\ : std_logic;
SIGNAL \Add1~7\ : std_logic;
SIGNAL \Add1~9\ : std_logic;
SIGNAL \Add1~11\ : std_logic;
SIGNAL \Add1~13\ : std_logic;
SIGNAL \Add1~15\ : std_logic;
SIGNAL \Add1~16_combout\ : std_logic;
SIGNAL \Add2~15\ : std_logic;
SIGNAL \Add2~16_combout\ : std_logic;
SIGNAL \rst[8]~reg0_regout\ : std_logic;
SIGNAL \Add1~17\ : std_logic;
SIGNAL \Add1~18_combout\ : std_logic;
SIGNAL \Add2~17\ : std_logic;
SIGNAL \Add2~18_combout\ : std_logic;
SIGNAL \rst[9]~reg0_regout\ : std_logic;
SIGNAL \Add2~19\ : std_logic;
SIGNAL \Add2~20_combout\ : std_logic;
SIGNAL \rst[10]~reg0_regout\ : std_logic;
SIGNAL \Add1~19\ : std_logic;
SIGNAL \Add1~21\ : std_logic;
SIGNAL \Add1~22_combout\ : std_logic;
SIGNAL \Add2~21\ : std_logic;
SIGNAL \Add2~22_combout\ : std_logic;
SIGNAL \rst[11]~reg0_regout\ : std_logic;
SIGNAL \Add1~23\ : std_logic;
SIGNAL \Add1~24_combout\ : std_logic;
SIGNAL \Add2~23\ : std_logic;
SIGNAL \Add2~24_combout\ : std_logic;
SIGNAL \rst[12]~reg0_regout\ : std_logic;
SIGNAL \Add1~25\ : std_logic;
SIGNAL \Add1~26_combout\ : std_logic;
SIGNAL \Add2~25\ : std_logic;
SIGNAL \Add2~26_combout\ : std_logic;
SIGNAL \rst[13]~reg0_regout\ : std_logic;
SIGNAL \Add1~27\ : std_logic;
SIGNAL \Add1~28_combout\ : std_logic;
SIGNAL \Add2~27\ : std_logic;
SIGNAL \Add2~28_combout\ : std_logic;
SIGNAL \rst[14]~reg0_regout\ : std_logic;
SIGNAL \Add2~29\ : std_logic;
SIGNAL \Add2~30_combout\ : std_logic;
SIGNAL \rst[15]~reg0_regout\ : std_logic;
SIGNAL \Add2~31\ : std_logic;
SIGNAL \Add2~32_combout\ : std_logic;
SIGNAL \rst[16]~reg0_regout\ : std_logic;
SIGNAL \Add2~33\ : std_logic;
SIGNAL \Add2~34_combout\ : std_logic;
SIGNAL \rst[17]~reg0_regout\ : std_logic;
SIGNAL \Add1~29\ : std_logic;
SIGNAL \Add1~31\ : std_logic;
SIGNAL \Add1~33\ : std_logic;
SIGNAL \Add1~35\ : std_logic;
SIGNAL \Add1~36_combout\ : std_logic;
SIGNAL \Add2~35\ : std_logic;
SIGNAL \Add2~36_combout\ : std_logic;
SIGNAL \rst[18]~reg0_regout\ : std_logic;
SIGNAL \Add1~37\ : std_logic;
SIGNAL \Add1~38_combout\ : std_logic;
SIGNAL \Add2~37\ : std_logic;
SIGNAL \Add2~38_combout\ : std_logic;
SIGNAL \rst[19]~reg0_regout\ : std_logic;
SIGNAL \Add2~39\ : std_logic;
SIGNAL \Add2~40_combout\ : std_logic;
SIGNAL \rst[20]~reg0_regout\ : std_logic;
SIGNAL \Add2~41\ : std_logic;
SIGNAL \Add2~42_combout\ : std_logic;
SIGNAL \rst[21]~reg0_regout\ : std_logic;
SIGNAL \Add2~43\ : std_logic;
SIGNAL \Add2~44_combout\ : std_logic;
SIGNAL \rst[22]~reg0_regout\ : std_logic;
SIGNAL \Add2~45\ : std_logic;
SIGNAL \Add2~46_combout\ : std_logic;
SIGNAL \rst[23]~reg0_regout\ : std_logic;
SIGNAL \Add1~39\ : std_logic;
SIGNAL \Add1~41\ : std_logic;
SIGNAL \Add1~43\ : std_logic;
SIGNAL \Add1~45\ : std_logic;
SIGNAL \Add1~47\ : std_logic;
SIGNAL \Add1~48_combout\ : std_logic;
SIGNAL \Add2~47\ : std_logic;
SIGNAL \Add2~48_combout\ : std_logic;
SIGNAL \rst[24]~reg0_regout\ : std_logic;
SIGNAL \Add1~49\ : std_logic;
SIGNAL \Add1~50_combout\ : std_logic;
SIGNAL \Add2~49\ : std_logic;
SIGNAL \Add2~50_combout\ : std_logic;
SIGNAL \rst[25]~reg0_regout\ : std_logic;
SIGNAL \Add2~51\ : std_logic;
SIGNAL \Add2~52_combout\ : std_logic;
SIGNAL \rst[26]~reg0_regout\ : std_logic;
SIGNAL \Add1~51\ : std_logic;
SIGNAL \Add1~53\ : std_logic;
SIGNAL \Add1~54_combout\ : std_logic;
SIGNAL \Add2~53\ : std_logic;
SIGNAL \Add2~54_combout\ : std_logic;
SIGNAL \rst[27]~reg0_regout\ : std_logic;
SIGNAL \Add1~55\ : std_logic;
SIGNAL \Add1~56_combout\ : std_logic;
SIGNAL \Add2~55\ : std_logic;
SIGNAL \Add2~56_combout\ : std_logic;
SIGNAL \rst[28]~reg0_regout\ : std_logic;
SIGNAL \Add1~57\ : std_logic;
SIGNAL \Add1~58_combout\ : std_logic;
SIGNAL \Add2~57\ : std_logic;
SIGNAL \Add2~58_combout\ : std_logic;
SIGNAL \rst[29]~reg0_regout\ : std_logic;
SIGNAL \Add1~59\ : std_logic;
SIGNAL \Add1~60_combout\ : std_logic;
SIGNAL \Add2~59\ : std_logic;
SIGNAL \Add2~60_combout\ : std_logic;
SIGNAL \rst[30]~reg0_regout\ : std_logic;
SIGNAL \Add2~61\ : std_logic;
SIGNAL \Add2~62_combout\ : std_logic;
SIGNAL \rst[31]~1_combout\ : std_logic;
SIGNAL \rst[31]~reg0_regout\ : std_logic;
SIGNAL var2 : std_logic_vector(31 DOWNTO 0);
SIGNAL var3 : std_logic_vector(31 DOWNTO 0);
SIGNAL \ALT_INV_rst[0]~reg0_regout\ : std_logic;
SIGNAL \ALT_INV_rst[31]~reg0_regout\ : std_logic;

BEGIN

ww_trigger <= trigger;
rst <= ww_rst;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\trigger~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \trigger~combout\);
\ALT_INV_rst[0]~reg0_regout\ <= NOT \rst[0]~reg0_regout\;
\ALT_INV_rst[31]~reg0_regout\ <= NOT \rst[31]~reg0_regout\;

-- Location: LCCOMB_X18_Y7_N0
\Add1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~0_combout\ = (var2(0) & (\Add0~1_combout\ $ (VCC))) # (!var2(0) & (\Add0~1_combout\ & VCC))
-- \Add1~1\ = CARRY((var2(0) & \Add0~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => var2(0),
	datab => \Add0~1_combout\,
	datad => VCC,
	combout => \Add1~0_combout\,
	cout => \Add1~1\);

-- Location: LCCOMB_X18_Y7_N2
\Add1~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~2_combout\ = (\Add0~0_combout\ & ((var2(1) & (!\Add1~1\)) # (!var2(1) & (\Add1~1\ & VCC)))) # (!\Add0~0_combout\ & ((var2(1) & ((\Add1~1\) # (GND))) # (!var2(1) & (!\Add1~1\))))
-- \Add1~3\ = CARRY((\Add0~0_combout\ & (var2(1) & !\Add1~1\)) # (!\Add0~0_combout\ & ((var2(1)) # (!\Add1~1\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~0_combout\,
	datab => var2(1),
	datad => VCC,
	cin => \Add1~1\,
	combout => \Add1~2_combout\,
	cout => \Add1~3\);

-- Location: LCCOMB_X18_Y7_N8
\Add1~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~8_combout\ = ((var2(3) $ (var2(4) $ (!\Add1~7\)))) # (GND)
-- \Add1~9\ = CARRY((var2(3) & ((var2(4)) # (!\Add1~7\))) # (!var2(3) & (var2(4) & !\Add1~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var2(3),
	datab => var2(4),
	datad => VCC,
	cin => \Add1~7\,
	combout => \Add1~8_combout\,
	cout => \Add1~9\);

-- Location: LCCOMB_X18_Y7_N10
\Add1~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~10_combout\ = (var2(5) & ((var2(4) & (\Add1~9\ & VCC)) # (!var2(4) & (!\Add1~9\)))) # (!var2(5) & ((var2(4) & (!\Add1~9\)) # (!var2(4) & ((\Add1~9\) # (GND)))))
-- \Add1~11\ = CARRY((var2(5) & (!var2(4) & !\Add1~9\)) # (!var2(5) & ((!\Add1~9\) # (!var2(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var2(5),
	datab => var2(4),
	datad => VCC,
	cin => \Add1~9\,
	combout => \Add1~10_combout\,
	cout => \Add1~11\);

-- Location: LCCOMB_X18_Y7_N12
\Add1~12\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~12_combout\ = ((var3(6) $ (var2(5) $ (!\Add1~11\)))) # (GND)
-- \Add1~13\ = CARRY((var3(6) & ((var2(5)) # (!\Add1~11\))) # (!var3(6) & (var2(5) & !\Add1~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(6),
	datab => var2(5),
	datad => VCC,
	cin => \Add1~11\,
	combout => \Add1~12_combout\,
	cout => \Add1~13\);

-- Location: LCCOMB_X18_Y7_N14
\Add1~14\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~14_combout\ = (var3(6) & ((var3(7) & (\Add1~13\ & VCC)) # (!var3(7) & (!\Add1~13\)))) # (!var3(6) & ((var3(7) & (!\Add1~13\)) # (!var3(7) & ((\Add1~13\) # (GND)))))
-- \Add1~15\ = CARRY((var3(6) & (!var3(7) & !\Add1~13\)) # (!var3(6) & ((!\Add1~13\) # (!var3(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(6),
	datab => var3(7),
	datad => VCC,
	cin => \Add1~13\,
	combout => \Add1~14_combout\,
	cout => \Add1~15\);

-- Location: LCCOMB_X18_Y7_N20
\Add1~20\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~20_combout\ = ((var3(10) $ (var3(9) $ (!\Add1~19\)))) # (GND)
-- \Add1~21\ = CARRY((var3(10) & ((var3(9)) # (!\Add1~19\))) # (!var3(10) & (var3(9) & !\Add1~19\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(10),
	datab => var3(9),
	datad => VCC,
	cin => \Add1~19\,
	combout => \Add1~20_combout\,
	cout => \Add1~21\);

-- Location: LCCOMB_X18_Y7_N30
\Add1~30\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~30_combout\ = (var3(15) & ((var3(14) & (\Add1~29\ & VCC)) # (!var3(14) & (!\Add1~29\)))) # (!var3(15) & ((var3(14) & (!\Add1~29\)) # (!var3(14) & ((\Add1~29\) # (GND)))))
-- \Add1~31\ = CARRY((var3(15) & (!var3(14) & !\Add1~29\)) # (!var3(15) & ((!\Add1~29\) # (!var3(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(15),
	datab => var3(14),
	datad => VCC,
	cin => \Add1~29\,
	combout => \Add1~30_combout\,
	cout => \Add1~31\);

-- Location: LCCOMB_X18_Y6_N0
\Add1~32\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~32_combout\ = ((var3(15) $ (var3(16) $ (!\Add1~31\)))) # (GND)
-- \Add1~33\ = CARRY((var3(15) & ((var3(16)) # (!\Add1~31\))) # (!var3(15) & (var3(16) & !\Add1~31\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(15),
	datab => var3(16),
	datad => VCC,
	cin => \Add1~31\,
	combout => \Add1~32_combout\,
	cout => \Add1~33\);

-- Location: LCCOMB_X18_Y6_N2
\Add1~34\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~34_combout\ = (var3(17) & ((var3(16) & (\Add1~33\ & VCC)) # (!var3(16) & (!\Add1~33\)))) # (!var3(17) & ((var3(16) & (!\Add1~33\)) # (!var3(16) & ((\Add1~33\) # (GND)))))
-- \Add1~35\ = CARRY((var3(17) & (!var3(16) & !\Add1~33\)) # (!var3(17) & ((!\Add1~33\) # (!var3(16)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(17),
	datab => var3(16),
	datad => VCC,
	cin => \Add1~33\,
	combout => \Add1~34_combout\,
	cout => \Add1~35\);

-- Location: LCCOMB_X18_Y6_N8
\Add1~40\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~40_combout\ = ((var3(19) $ (var3(20) $ (!\Add1~39\)))) # (GND)
-- \Add1~41\ = CARRY((var3(19) & ((var3(20)) # (!\Add1~39\))) # (!var3(19) & (var3(20) & !\Add1~39\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(19),
	datab => var3(20),
	datad => VCC,
	cin => \Add1~39\,
	combout => \Add1~40_combout\,
	cout => \Add1~41\);

-- Location: LCCOMB_X18_Y6_N10
\Add1~42\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~42_combout\ = (var3(21) & ((var3(20) & (\Add1~41\ & VCC)) # (!var3(20) & (!\Add1~41\)))) # (!var3(21) & ((var3(20) & (!\Add1~41\)) # (!var3(20) & ((\Add1~41\) # (GND)))))
-- \Add1~43\ = CARRY((var3(21) & (!var3(20) & !\Add1~41\)) # (!var3(21) & ((!\Add1~41\) # (!var3(20)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(21),
	datab => var3(20),
	datad => VCC,
	cin => \Add1~41\,
	combout => \Add1~42_combout\,
	cout => \Add1~43\);

-- Location: LCCOMB_X18_Y6_N12
\Add1~44\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~44_combout\ = ((var3(21) $ (var3(22) $ (!\Add1~43\)))) # (GND)
-- \Add1~45\ = CARRY((var3(21) & ((var3(22)) # (!\Add1~43\))) # (!var3(21) & (var3(22) & !\Add1~43\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(21),
	datab => var3(22),
	datad => VCC,
	cin => \Add1~43\,
	combout => \Add1~44_combout\,
	cout => \Add1~45\);

-- Location: LCCOMB_X18_Y6_N14
\Add1~46\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~46_combout\ = (var3(22) & ((var3(23) & (\Add1~45\ & VCC)) # (!var3(23) & (!\Add1~45\)))) # (!var3(22) & ((var3(23) & (!\Add1~45\)) # (!var3(23) & ((\Add1~45\) # (GND)))))
-- \Add1~47\ = CARRY((var3(22) & (!var3(23) & !\Add1~45\)) # (!var3(22) & ((!\Add1~45\) # (!var3(23)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(22),
	datab => var3(23),
	datad => VCC,
	cin => \Add1~45\,
	combout => \Add1~46_combout\,
	cout => \Add1~47\);

-- Location: LCCOMB_X18_Y6_N20
\Add1~52\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~52_combout\ = ((var3(26) $ (var3(25) $ (!\Add1~51\)))) # (GND)
-- \Add1~53\ = CARRY((var3(26) & ((var3(25)) # (!\Add1~51\))) # (!var3(26) & (var3(25) & !\Add1~51\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(26),
	datab => var3(25),
	datad => VCC,
	cin => \Add1~51\,
	combout => \Add1~52_combout\,
	cout => \Add1~53\);

-- Location: LCCOMB_X18_Y6_N28
\Add1~60\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~60_combout\ = ((var3(29) $ (var3(30) $ (!\Add1~59\)))) # (GND)
-- \Add1~61\ = CARRY((var3(29) & ((var3(30)) # (!\Add1~59\))) # (!var3(29) & (var3(30) & !\Add1~59\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(29),
	datab => var3(30),
	datad => VCC,
	cin => \Add1~59\,
	combout => \Add1~60_combout\,
	cout => \Add1~61\);

-- Location: LCCOMB_X18_Y6_N30
\Add1~62\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~62_combout\ = var3(31) $ (\Add1~61\ $ (var3(30)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => var3(31),
	datad => var3(30),
	cin => \Add1~61\,
	combout => \Add1~62_combout\);

-- Location: LCFF_X18_Y6_N31
\var3[31]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(30),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(31));

-- Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\trigger~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_trigger,
	combout => \trigger~combout\);

-- Location: CLKCTRL_G3
\trigger~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \trigger~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \trigger~clkctrl_outclk\);

-- Location: LCCOMB_X16_Y7_N4
\var3[0]~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \var3[0]~0_combout\ = !\Add0~1_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Add0~1_combout\,
	combout => \var3[0]~0_combout\);

-- Location: LCFF_X16_Y7_N5
\var3[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \var3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(0));

-- Location: LCCOMB_X16_Y7_N26
\Add0~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add0~1_combout\ = var2(0) $ (!var3(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => var2(0),
	datad => var3(0),
	combout => \Add0~1_combout\);

-- Location: LCFF_X16_Y7_N27
\var2[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var2(0));

-- Location: LCCOMB_X16_Y7_N8
\rst[0]~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \rst[0]~0_combout\ = !var2(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => var2(0),
	combout => \rst[0]~0_combout\);

-- Location: LCFF_X16_Y7_N9
\rst[0]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \rst[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[0]~reg0_regout\);

-- Location: LCCOMB_X16_Y7_N30
\Add0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add0~0_combout\ = (!var3(0) & var2(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => var3(0),
	datad => var2(0),
	combout => \Add0~0_combout\);

-- Location: LCCOMB_X19_Y7_N0
\Add2~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~1_cout\ = CARRY((\Add1~0_combout\ & \Add0~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~0_combout\,
	datab => \Add0~1_combout\,
	datad => VCC,
	cout => \Add2~1_cout\);

-- Location: LCCOMB_X19_Y7_N2
\Add2~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~2_combout\ = (\Add1~2_combout\ & ((\Add0~0_combout\ & (\Add2~1_cout\ & VCC)) # (!\Add0~0_combout\ & (!\Add2~1_cout\)))) # (!\Add1~2_combout\ & ((\Add0~0_combout\ & (!\Add2~1_cout\)) # (!\Add0~0_combout\ & ((\Add2~1_cout\) # (GND)))))
-- \Add2~3\ = CARRY((\Add1~2_combout\ & (!\Add0~0_combout\ & !\Add2~1_cout\)) # (!\Add1~2_combout\ & ((!\Add2~1_cout\) # (!\Add0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~2_combout\,
	datab => \Add0~0_combout\,
	datad => VCC,
	cin => \Add2~1_cout\,
	combout => \Add2~2_combout\,
	cout => \Add2~3\);

-- Location: LCFF_X19_Y7_N3
\rst[1]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[1]~reg0_regout\);

-- Location: LCCOMB_X16_Y7_N16
\var2[1]~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \var2[1]~0_combout\ = !\Add0~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Add0~0_combout\,
	combout => \var2[1]~0_combout\);

-- Location: LCFF_X16_Y7_N17
\var2[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \var2[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var2(1));

-- Location: LCCOMB_X18_Y7_N4
\Add1~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~4_combout\ = ((var2(2) $ (var2(1) $ (\Add1~3\)))) # (GND)
-- \Add1~5\ = CARRY((var2(2) & ((!\Add1~3\) # (!var2(1)))) # (!var2(2) & (!var2(1) & !\Add1~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var2(2),
	datab => var2(1),
	datad => VCC,
	cin => \Add1~3\,
	combout => \Add1~4_combout\,
	cout => \Add1~5\);

-- Location: LCCOMB_X19_Y7_N4
\Add2~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~4_combout\ = ((var2(1) $ (\Add1~4_combout\ $ (\Add2~3\)))) # (GND)
-- \Add2~5\ = CARRY((var2(1) & (\Add1~4_combout\ & !\Add2~3\)) # (!var2(1) & ((\Add1~4_combout\) # (!\Add2~3\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var2(1),
	datab => \Add1~4_combout\,
	datad => VCC,
	cin => \Add2~3\,
	combout => \Add2~4_combout\,
	cout => \Add2~5\);

-- Location: LCFF_X19_Y7_N5
\rst[2]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[2]~reg0_regout\);

-- Location: LCCOMB_X16_Y7_N18
\var2[2]~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \var2[2]~1_combout\ = !var2(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => var2(1),
	combout => \var2[2]~1_combout\);

-- Location: LCFF_X16_Y7_N19
\var2[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \var2[2]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var2(2));

-- Location: LCFF_X18_Y7_N7
\var2[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var2(2),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var2(3));

-- Location: LCCOMB_X18_Y7_N6
\Add1~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~6_combout\ = (var2(2) & ((var2(3) & (\Add1~5\ & VCC)) # (!var2(3) & (!\Add1~5\)))) # (!var2(2) & ((var2(3) & (!\Add1~5\)) # (!var2(3) & ((\Add1~5\) # (GND)))))
-- \Add1~7\ = CARRY((var2(2) & (!var2(3) & !\Add1~5\)) # (!var2(2) & ((!\Add1~5\) # (!var2(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var2(2),
	datab => var2(3),
	datad => VCC,
	cin => \Add1~5\,
	combout => \Add1~6_combout\,
	cout => \Add1~7\);

-- Location: LCCOMB_X19_Y7_N6
\Add2~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~6_combout\ = (var2(2) & ((\Add1~6_combout\ & (\Add2~5\ & VCC)) # (!\Add1~6_combout\ & (!\Add2~5\)))) # (!var2(2) & ((\Add1~6_combout\ & (!\Add2~5\)) # (!\Add1~6_combout\ & ((\Add2~5\) # (GND)))))
-- \Add2~7\ = CARRY((var2(2) & (!\Add1~6_combout\ & !\Add2~5\)) # (!var2(2) & ((!\Add2~5\) # (!\Add1~6_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var2(2),
	datab => \Add1~6_combout\,
	datad => VCC,
	cin => \Add2~5\,
	combout => \Add2~6_combout\,
	cout => \Add2~7\);

-- Location: LCFF_X19_Y7_N7
\rst[3]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[3]~reg0_regout\);

-- Location: LCCOMB_X19_Y7_N8
\Add2~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~8_combout\ = ((\Add1~8_combout\ $ (var2(3) $ (!\Add2~7\)))) # (GND)
-- \Add2~9\ = CARRY((\Add1~8_combout\ & ((var2(3)) # (!\Add2~7\))) # (!\Add1~8_combout\ & (var2(3) & !\Add2~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~8_combout\,
	datab => var2(3),
	datad => VCC,
	cin => \Add2~7\,
	combout => \Add2~8_combout\,
	cout => \Add2~9\);

-- Location: LCFF_X19_Y7_N9
\rst[4]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[4]~reg0_regout\);

-- Location: LCFF_X18_Y7_N9
\var2[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var2(3),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var2(4));

-- Location: LCCOMB_X19_Y7_N10
\Add2~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~10_combout\ = (\Add1~10_combout\ & ((var2(4) & (\Add2~9\ & VCC)) # (!var2(4) & (!\Add2~9\)))) # (!\Add1~10_combout\ & ((var2(4) & (!\Add2~9\)) # (!var2(4) & ((\Add2~9\) # (GND)))))
-- \Add2~11\ = CARRY((\Add1~10_combout\ & (!var2(4) & !\Add2~9\)) # (!\Add1~10_combout\ & ((!\Add2~9\) # (!var2(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~10_combout\,
	datab => var2(4),
	datad => VCC,
	cin => \Add2~9\,
	combout => \Add2~10_combout\,
	cout => \Add2~11\);

-- Location: LCFF_X19_Y7_N11
\rst[5]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[5]~reg0_regout\);

-- Location: LCFF_X18_Y7_N11
\var2[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var2(4),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var2(5));

-- Location: LCCOMB_X19_Y7_N12
\Add2~12\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~12_combout\ = ((\Add1~12_combout\ $ (var2(5) $ (!\Add2~11\)))) # (GND)
-- \Add2~13\ = CARRY((\Add1~12_combout\ & ((var2(5)) # (!\Add2~11\))) # (!\Add1~12_combout\ & (var2(5) & !\Add2~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~12_combout\,
	datab => var2(5),
	datad => VCC,
	cin => \Add2~11\,
	combout => \Add2~12_combout\,
	cout => \Add2~13\);

-- Location: LCFF_X19_Y7_N13
\rst[6]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[6]~reg0_regout\);

-- Location: LCFF_X18_Y7_N13
\var3[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var2(5),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(6));

-- Location: LCCOMB_X19_Y7_N14
\Add2~14\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~14_combout\ = (\Add1~14_combout\ & ((var3(6) & (\Add2~13\ & VCC)) # (!var3(6) & (!\Add2~13\)))) # (!\Add1~14_combout\ & ((var3(6) & (!\Add2~13\)) # (!var3(6) & ((\Add2~13\) # (GND)))))
-- \Add2~15\ = CARRY((\Add1~14_combout\ & (!var3(6) & !\Add2~13\)) # (!\Add1~14_combout\ & ((!\Add2~13\) # (!var3(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~14_combout\,
	datab => var3(6),
	datad => VCC,
	cin => \Add2~13\,
	combout => \Add2~14_combout\,
	cout => \Add2~15\);

-- Location: LCFF_X19_Y7_N15
\rst[7]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[7]~reg0_regout\);

-- Location: LCFF_X18_Y7_N15
\var3[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(6),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(7));

-- Location: LCCOMB_X18_Y7_N16
\Add1~16\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~16_combout\ = ((var3(8) $ (var3(7) $ (!\Add1~15\)))) # (GND)
-- \Add1~17\ = CARRY((var3(8) & ((var3(7)) # (!\Add1~15\))) # (!var3(8) & (var3(7) & !\Add1~15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(8),
	datab => var3(7),
	datad => VCC,
	cin => \Add1~15\,
	combout => \Add1~16_combout\,
	cout => \Add1~17\);

-- Location: LCCOMB_X19_Y7_N16
\Add2~16\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~16_combout\ = ((var3(7) $ (\Add1~16_combout\ $ (!\Add2~15\)))) # (GND)
-- \Add2~17\ = CARRY((var3(7) & ((\Add1~16_combout\) # (!\Add2~15\))) # (!var3(7) & (\Add1~16_combout\ & !\Add2~15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(7),
	datab => \Add1~16_combout\,
	datad => VCC,
	cin => \Add2~15\,
	combout => \Add2~16_combout\,
	cout => \Add2~17\);

-- Location: LCFF_X19_Y7_N17
\rst[8]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[8]~reg0_regout\);

-- Location: LCFF_X18_Y7_N17
\var3[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(7),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(8));

-- Location: LCFF_X18_Y7_N19
\var3[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(8),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(9));

-- Location: LCCOMB_X18_Y7_N18
\Add1~18\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~18_combout\ = (var3(8) & ((var3(9) & (\Add1~17\ & VCC)) # (!var3(9) & (!\Add1~17\)))) # (!var3(8) & ((var3(9) & (!\Add1~17\)) # (!var3(9) & ((\Add1~17\) # (GND)))))
-- \Add1~19\ = CARRY((var3(8) & (!var3(9) & !\Add1~17\)) # (!var3(8) & ((!\Add1~17\) # (!var3(9)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(8),
	datab => var3(9),
	datad => VCC,
	cin => \Add1~17\,
	combout => \Add1~18_combout\,
	cout => \Add1~19\);

-- Location: LCCOMB_X19_Y7_N18
\Add2~18\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~18_combout\ = (var3(8) & ((\Add1~18_combout\ & (\Add2~17\ & VCC)) # (!\Add1~18_combout\ & (!\Add2~17\)))) # (!var3(8) & ((\Add1~18_combout\ & (!\Add2~17\)) # (!\Add1~18_combout\ & ((\Add2~17\) # (GND)))))
-- \Add2~19\ = CARRY((var3(8) & (!\Add1~18_combout\ & !\Add2~17\)) # (!var3(8) & ((!\Add2~17\) # (!\Add1~18_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(8),
	datab => \Add1~18_combout\,
	datad => VCC,
	cin => \Add2~17\,
	combout => \Add2~18_combout\,
	cout => \Add2~19\);

-- Location: LCFF_X19_Y7_N19
\rst[9]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~18_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[9]~reg0_regout\);

-- Location: LCCOMB_X19_Y7_N20
\Add2~20\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~20_combout\ = ((\Add1~20_combout\ $ (var3(9) $ (!\Add2~19\)))) # (GND)
-- \Add2~21\ = CARRY((\Add1~20_combout\ & ((var3(9)) # (!\Add2~19\))) # (!\Add1~20_combout\ & (var3(9) & !\Add2~19\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~20_combout\,
	datab => var3(9),
	datad => VCC,
	cin => \Add2~19\,
	combout => \Add2~20_combout\,
	cout => \Add2~21\);

-- Location: LCFF_X19_Y7_N21
\rst[10]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~20_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[10]~reg0_regout\);

-- Location: LCFF_X18_Y7_N21
\var3[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(9),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(10));

-- Location: LCFF_X18_Y7_N23
\var3[11]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(10),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(11));

-- Location: LCCOMB_X18_Y7_N22
\Add1~22\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~22_combout\ = (var3(10) & ((var3(11) & (\Add1~21\ & VCC)) # (!var3(11) & (!\Add1~21\)))) # (!var3(10) & ((var3(11) & (!\Add1~21\)) # (!var3(11) & ((\Add1~21\) # (GND)))))
-- \Add1~23\ = CARRY((var3(10) & (!var3(11) & !\Add1~21\)) # (!var3(10) & ((!\Add1~21\) # (!var3(11)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(10),
	datab => var3(11),
	datad => VCC,
	cin => \Add1~21\,
	combout => \Add1~22_combout\,
	cout => \Add1~23\);

-- Location: LCCOMB_X19_Y7_N22
\Add2~22\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~22_combout\ = (var3(10) & ((\Add1~22_combout\ & (\Add2~21\ & VCC)) # (!\Add1~22_combout\ & (!\Add2~21\)))) # (!var3(10) & ((\Add1~22_combout\ & (!\Add2~21\)) # (!\Add1~22_combout\ & ((\Add2~21\) # (GND)))))
-- \Add2~23\ = CARRY((var3(10) & (!\Add1~22_combout\ & !\Add2~21\)) # (!var3(10) & ((!\Add2~21\) # (!\Add1~22_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(10),
	datab => \Add1~22_combout\,
	datad => VCC,
	cin => \Add2~21\,
	combout => \Add2~22_combout\,
	cout => \Add2~23\);

-- Location: LCFF_X19_Y7_N23
\rst[11]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~22_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[11]~reg0_regout\);

-- Location: LCCOMB_X18_Y7_N24
\Add1~24\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~24_combout\ = ((var3(12) $ (var3(11) $ (!\Add1~23\)))) # (GND)
-- \Add1~25\ = CARRY((var3(12) & ((var3(11)) # (!\Add1~23\))) # (!var3(12) & (var3(11) & !\Add1~23\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(12),
	datab => var3(11),
	datad => VCC,
	cin => \Add1~23\,
	combout => \Add1~24_combout\,
	cout => \Add1~25\);

-- Location: LCCOMB_X19_Y7_N24
\Add2~24\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~24_combout\ = ((var3(11) $ (\Add1~24_combout\ $ (!\Add2~23\)))) # (GND)
-- \Add2~25\ = CARRY((var3(11) & ((\Add1~24_combout\) # (!\Add2~23\))) # (!var3(11) & (\Add1~24_combout\ & !\Add2~23\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(11),
	datab => \Add1~24_combout\,
	datad => VCC,
	cin => \Add2~23\,
	combout => \Add2~24_combout\,
	cout => \Add2~25\);

-- Location: LCFF_X19_Y7_N25
\rst[12]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~24_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[12]~reg0_regout\);

-- Location: LCFF_X18_Y7_N25
\var3[12]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(11),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(12));

-- Location: LCFF_X18_Y7_N27
\var3[13]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(12),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(13));

-- Location: LCCOMB_X18_Y7_N26
\Add1~26\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~26_combout\ = (var3(12) & ((var3(13) & (\Add1~25\ & VCC)) # (!var3(13) & (!\Add1~25\)))) # (!var3(12) & ((var3(13) & (!\Add1~25\)) # (!var3(13) & ((\Add1~25\) # (GND)))))
-- \Add1~27\ = CARRY((var3(12) & (!var3(13) & !\Add1~25\)) # (!var3(12) & ((!\Add1~25\) # (!var3(13)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(12),
	datab => var3(13),
	datad => VCC,
	cin => \Add1~25\,
	combout => \Add1~26_combout\,
	cout => \Add1~27\);

-- Location: LCCOMB_X19_Y7_N26
\Add2~26\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~26_combout\ = (var3(12) & ((\Add1~26_combout\ & (\Add2~25\ & VCC)) # (!\Add1~26_combout\ & (!\Add2~25\)))) # (!var3(12) & ((\Add1~26_combout\ & (!\Add2~25\)) # (!\Add1~26_combout\ & ((\Add2~25\) # (GND)))))
-- \Add2~27\ = CARRY((var3(12) & (!\Add1~26_combout\ & !\Add2~25\)) # (!var3(12) & ((!\Add2~25\) # (!\Add1~26_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(12),
	datab => \Add1~26_combout\,
	datad => VCC,
	cin => \Add2~25\,
	combout => \Add2~26_combout\,
	cout => \Add2~27\);

-- Location: LCFF_X19_Y7_N27
\rst[13]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~26_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[13]~reg0_regout\);

-- Location: LCFF_X18_Y7_N29
\var3[14]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(13),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(14));

-- Location: LCCOMB_X18_Y7_N28
\Add1~28\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~28_combout\ = ((var3(13) $ (var3(14) $ (!\Add1~27\)))) # (GND)
-- \Add1~29\ = CARRY((var3(13) & ((var3(14)) # (!\Add1~27\))) # (!var3(13) & (var3(14) & !\Add1~27\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(13),
	datab => var3(14),
	datad => VCC,
	cin => \Add1~27\,
	combout => \Add1~28_combout\,
	cout => \Add1~29\);

-- Location: LCCOMB_X19_Y7_N28
\Add2~28\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~28_combout\ = ((var3(13) $ (\Add1~28_combout\ $ (!\Add2~27\)))) # (GND)
-- \Add2~29\ = CARRY((var3(13) & ((\Add1~28_combout\) # (!\Add2~27\))) # (!var3(13) & (\Add1~28_combout\ & !\Add2~27\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(13),
	datab => \Add1~28_combout\,
	datad => VCC,
	cin => \Add2~27\,
	combout => \Add2~28_combout\,
	cout => \Add2~29\);

-- Location: LCFF_X19_Y7_N29
\rst[14]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~28_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[14]~reg0_regout\);

-- Location: LCCOMB_X19_Y7_N30
\Add2~30\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~30_combout\ = (\Add1~30_combout\ & ((var3(14) & (\Add2~29\ & VCC)) # (!var3(14) & (!\Add2~29\)))) # (!\Add1~30_combout\ & ((var3(14) & (!\Add2~29\)) # (!var3(14) & ((\Add2~29\) # (GND)))))
-- \Add2~31\ = CARRY((\Add1~30_combout\ & (!var3(14) & !\Add2~29\)) # (!\Add1~30_combout\ & ((!\Add2~29\) # (!var3(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~30_combout\,
	datab => var3(14),
	datad => VCC,
	cin => \Add2~29\,
	combout => \Add2~30_combout\,
	cout => \Add2~31\);

-- Location: LCFF_X19_Y7_N31
\rst[15]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~30_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[15]~reg0_regout\);

-- Location: LCFF_X18_Y7_N31
\var3[15]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(14),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(15));

-- Location: LCCOMB_X19_Y6_N0
\Add2~32\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~32_combout\ = ((\Add1~32_combout\ $ (var3(15) $ (!\Add2~31\)))) # (GND)
-- \Add2~33\ = CARRY((\Add1~32_combout\ & ((var3(15)) # (!\Add2~31\))) # (!\Add1~32_combout\ & (var3(15) & !\Add2~31\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~32_combout\,
	datab => var3(15),
	datad => VCC,
	cin => \Add2~31\,
	combout => \Add2~32_combout\,
	cout => \Add2~33\);

-- Location: LCFF_X19_Y6_N1
\rst[16]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~32_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[16]~reg0_regout\);

-- Location: LCFF_X18_Y6_N1
\var3[16]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(15),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(16));

-- Location: LCCOMB_X19_Y6_N2
\Add2~34\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~34_combout\ = (\Add1~34_combout\ & ((var3(16) & (\Add2~33\ & VCC)) # (!var3(16) & (!\Add2~33\)))) # (!\Add1~34_combout\ & ((var3(16) & (!\Add2~33\)) # (!var3(16) & ((\Add2~33\) # (GND)))))
-- \Add2~35\ = CARRY((\Add1~34_combout\ & (!var3(16) & !\Add2~33\)) # (!\Add1~34_combout\ & ((!\Add2~33\) # (!var3(16)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~34_combout\,
	datab => var3(16),
	datad => VCC,
	cin => \Add2~33\,
	combout => \Add2~34_combout\,
	cout => \Add2~35\);

-- Location: LCFF_X19_Y6_N3
\rst[17]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~34_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[17]~reg0_regout\);

-- Location: LCFF_X18_Y6_N3
\var3[17]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(16),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(17));

-- Location: LCFF_X18_Y6_N5
\var3[18]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(17),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(18));

-- Location: LCCOMB_X18_Y6_N4
\Add1~36\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~36_combout\ = ((var3(17) $ (var3(18) $ (!\Add1~35\)))) # (GND)
-- \Add1~37\ = CARRY((var3(17) & ((var3(18)) # (!\Add1~35\))) # (!var3(17) & (var3(18) & !\Add1~35\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(17),
	datab => var3(18),
	datad => VCC,
	cin => \Add1~35\,
	combout => \Add1~36_combout\,
	cout => \Add1~37\);

-- Location: LCCOMB_X19_Y6_N4
\Add2~36\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~36_combout\ = ((var3(17) $ (\Add1~36_combout\ $ (!\Add2~35\)))) # (GND)
-- \Add2~37\ = CARRY((var3(17) & ((\Add1~36_combout\) # (!\Add2~35\))) # (!var3(17) & (\Add1~36_combout\ & !\Add2~35\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(17),
	datab => \Add1~36_combout\,
	datad => VCC,
	cin => \Add2~35\,
	combout => \Add2~36_combout\,
	cout => \Add2~37\);

-- Location: LCFF_X19_Y6_N5
\rst[18]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~36_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[18]~reg0_regout\);

-- Location: LCCOMB_X18_Y6_N6
\Add1~38\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~38_combout\ = (var3(19) & ((var3(18) & (\Add1~37\ & VCC)) # (!var3(18) & (!\Add1~37\)))) # (!var3(19) & ((var3(18) & (!\Add1~37\)) # (!var3(18) & ((\Add1~37\) # (GND)))))
-- \Add1~39\ = CARRY((var3(19) & (!var3(18) & !\Add1~37\)) # (!var3(19) & ((!\Add1~37\) # (!var3(18)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(19),
	datab => var3(18),
	datad => VCC,
	cin => \Add1~37\,
	combout => \Add1~38_combout\,
	cout => \Add1~39\);

-- Location: LCCOMB_X19_Y6_N6
\Add2~38\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~38_combout\ = (var3(18) & ((\Add1~38_combout\ & (\Add2~37\ & VCC)) # (!\Add1~38_combout\ & (!\Add2~37\)))) # (!var3(18) & ((\Add1~38_combout\ & (!\Add2~37\)) # (!\Add1~38_combout\ & ((\Add2~37\) # (GND)))))
-- \Add2~39\ = CARRY((var3(18) & (!\Add1~38_combout\ & !\Add2~37\)) # (!var3(18) & ((!\Add2~37\) # (!\Add1~38_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(18),
	datab => \Add1~38_combout\,
	datad => VCC,
	cin => \Add2~37\,
	combout => \Add2~38_combout\,
	cout => \Add2~39\);

-- Location: LCFF_X19_Y6_N7
\rst[19]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~38_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[19]~reg0_regout\);

-- Location: LCFF_X18_Y6_N7
\var3[19]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(18),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(19));

-- Location: LCCOMB_X19_Y6_N8
\Add2~40\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~40_combout\ = ((\Add1~40_combout\ $ (var3(19) $ (!\Add2~39\)))) # (GND)
-- \Add2~41\ = CARRY((\Add1~40_combout\ & ((var3(19)) # (!\Add2~39\))) # (!\Add1~40_combout\ & (var3(19) & !\Add2~39\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~40_combout\,
	datab => var3(19),
	datad => VCC,
	cin => \Add2~39\,
	combout => \Add2~40_combout\,
	cout => \Add2~41\);

-- Location: LCFF_X19_Y6_N9
\rst[20]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~40_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[20]~reg0_regout\);

-- Location: LCFF_X18_Y6_N9
\var3[20]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(19),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(20));

-- Location: LCCOMB_X19_Y6_N10
\Add2~42\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~42_combout\ = (\Add1~42_combout\ & ((var3(20) & (\Add2~41\ & VCC)) # (!var3(20) & (!\Add2~41\)))) # (!\Add1~42_combout\ & ((var3(20) & (!\Add2~41\)) # (!var3(20) & ((\Add2~41\) # (GND)))))
-- \Add2~43\ = CARRY((\Add1~42_combout\ & (!var3(20) & !\Add2~41\)) # (!\Add1~42_combout\ & ((!\Add2~41\) # (!var3(20)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~42_combout\,
	datab => var3(20),
	datad => VCC,
	cin => \Add2~41\,
	combout => \Add2~42_combout\,
	cout => \Add2~43\);

-- Location: LCFF_X19_Y6_N11
\rst[21]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~42_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[21]~reg0_regout\);

-- Location: LCFF_X18_Y6_N11
\var3[21]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(20),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(21));

-- Location: LCCOMB_X19_Y6_N12
\Add2~44\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~44_combout\ = ((\Add1~44_combout\ $ (var3(21) $ (!\Add2~43\)))) # (GND)
-- \Add2~45\ = CARRY((\Add1~44_combout\ & ((var3(21)) # (!\Add2~43\))) # (!\Add1~44_combout\ & (var3(21) & !\Add2~43\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~44_combout\,
	datab => var3(21),
	datad => VCC,
	cin => \Add2~43\,
	combout => \Add2~44_combout\,
	cout => \Add2~45\);

-- Location: LCFF_X19_Y6_N13
\rst[22]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~44_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[22]~reg0_regout\);

-- Location: LCFF_X18_Y6_N13
\var3[22]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(21),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(22));

-- Location: LCCOMB_X19_Y6_N14
\Add2~46\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~46_combout\ = (\Add1~46_combout\ & ((var3(22) & (\Add2~45\ & VCC)) # (!var3(22) & (!\Add2~45\)))) # (!\Add1~46_combout\ & ((var3(22) & (!\Add2~45\)) # (!var3(22) & ((\Add2~45\) # (GND)))))
-- \Add2~47\ = CARRY((\Add1~46_combout\ & (!var3(22) & !\Add2~45\)) # (!\Add1~46_combout\ & ((!\Add2~45\) # (!var3(22)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~46_combout\,
	datab => var3(22),
	datad => VCC,
	cin => \Add2~45\,
	combout => \Add2~46_combout\,
	cout => \Add2~47\);

-- Location: LCFF_X19_Y6_N15
\rst[23]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~46_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[23]~reg0_regout\);

-- Location: LCFF_X18_Y6_N15
\var3[23]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(22),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(23));

-- Location: LCCOMB_X18_Y6_N16
\Add1~48\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~48_combout\ = ((var3(24) $ (var3(23) $ (!\Add1~47\)))) # (GND)
-- \Add1~49\ = CARRY((var3(24) & ((var3(23)) # (!\Add1~47\))) # (!var3(24) & (var3(23) & !\Add1~47\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(24),
	datab => var3(23),
	datad => VCC,
	cin => \Add1~47\,
	combout => \Add1~48_combout\,
	cout => \Add1~49\);

-- Location: LCCOMB_X19_Y6_N16
\Add2~48\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~48_combout\ = ((var3(23) $ (\Add1~48_combout\ $ (!\Add2~47\)))) # (GND)
-- \Add2~49\ = CARRY((var3(23) & ((\Add1~48_combout\) # (!\Add2~47\))) # (!var3(23) & (\Add1~48_combout\ & !\Add2~47\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(23),
	datab => \Add1~48_combout\,
	datad => VCC,
	cin => \Add2~47\,
	combout => \Add2~48_combout\,
	cout => \Add2~49\);

-- Location: LCFF_X19_Y6_N17
\rst[24]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~48_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[24]~reg0_regout\);

-- Location: LCFF_X18_Y6_N17
\var3[24]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(23),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(24));

-- Location: LCFF_X18_Y6_N19
\var3[25]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(24),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(25));

-- Location: LCCOMB_X18_Y6_N18
\Add1~50\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~50_combout\ = (var3(24) & ((var3(25) & (\Add1~49\ & VCC)) # (!var3(25) & (!\Add1~49\)))) # (!var3(24) & ((var3(25) & (!\Add1~49\)) # (!var3(25) & ((\Add1~49\) # (GND)))))
-- \Add1~51\ = CARRY((var3(24) & (!var3(25) & !\Add1~49\)) # (!var3(24) & ((!\Add1~49\) # (!var3(25)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(24),
	datab => var3(25),
	datad => VCC,
	cin => \Add1~49\,
	combout => \Add1~50_combout\,
	cout => \Add1~51\);

-- Location: LCCOMB_X19_Y6_N18
\Add2~50\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~50_combout\ = (var3(24) & ((\Add1~50_combout\ & (\Add2~49\ & VCC)) # (!\Add1~50_combout\ & (!\Add2~49\)))) # (!var3(24) & ((\Add1~50_combout\ & (!\Add2~49\)) # (!\Add1~50_combout\ & ((\Add2~49\) # (GND)))))
-- \Add2~51\ = CARRY((var3(24) & (!\Add1~50_combout\ & !\Add2~49\)) # (!var3(24) & ((!\Add2~49\) # (!\Add1~50_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(24),
	datab => \Add1~50_combout\,
	datad => VCC,
	cin => \Add2~49\,
	combout => \Add2~50_combout\,
	cout => \Add2~51\);

-- Location: LCFF_X19_Y6_N19
\rst[25]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~50_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[25]~reg0_regout\);

-- Location: LCCOMB_X19_Y6_N20
\Add2~52\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~52_combout\ = ((\Add1~52_combout\ $ (var3(25) $ (!\Add2~51\)))) # (GND)
-- \Add2~53\ = CARRY((\Add1~52_combout\ & ((var3(25)) # (!\Add2~51\))) # (!\Add1~52_combout\ & (var3(25) & !\Add2~51\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~52_combout\,
	datab => var3(25),
	datad => VCC,
	cin => \Add2~51\,
	combout => \Add2~52_combout\,
	cout => \Add2~53\);

-- Location: LCFF_X19_Y6_N21
\rst[26]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~52_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[26]~reg0_regout\);

-- Location: LCFF_X18_Y6_N21
\var3[26]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(25),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(26));

-- Location: LCFF_X18_Y6_N23
\var3[27]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(26),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(27));

-- Location: LCCOMB_X18_Y6_N22
\Add1~54\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~54_combout\ = (var3(26) & ((var3(27) & (\Add1~53\ & VCC)) # (!var3(27) & (!\Add1~53\)))) # (!var3(26) & ((var3(27) & (!\Add1~53\)) # (!var3(27) & ((\Add1~53\) # (GND)))))
-- \Add1~55\ = CARRY((var3(26) & (!var3(27) & !\Add1~53\)) # (!var3(26) & ((!\Add1~53\) # (!var3(27)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(26),
	datab => var3(27),
	datad => VCC,
	cin => \Add1~53\,
	combout => \Add1~54_combout\,
	cout => \Add1~55\);

-- Location: LCCOMB_X19_Y6_N22
\Add2~54\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~54_combout\ = (var3(26) & ((\Add1~54_combout\ & (\Add2~53\ & VCC)) # (!\Add1~54_combout\ & (!\Add2~53\)))) # (!var3(26) & ((\Add1~54_combout\ & (!\Add2~53\)) # (!\Add1~54_combout\ & ((\Add2~53\) # (GND)))))
-- \Add2~55\ = CARRY((var3(26) & (!\Add1~54_combout\ & !\Add2~53\)) # (!var3(26) & ((!\Add2~53\) # (!\Add1~54_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(26),
	datab => \Add1~54_combout\,
	datad => VCC,
	cin => \Add2~53\,
	combout => \Add2~54_combout\,
	cout => \Add2~55\);

-- Location: LCFF_X19_Y6_N23
\rst[27]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~54_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[27]~reg0_regout\);

-- Location: LCCOMB_X18_Y6_N24
\Add1~56\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~56_combout\ = ((var3(28) $ (var3(27) $ (!\Add1~55\)))) # (GND)
-- \Add1~57\ = CARRY((var3(28) & ((var3(27)) # (!\Add1~55\))) # (!var3(28) & (var3(27) & !\Add1~55\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(28),
	datab => var3(27),
	datad => VCC,
	cin => \Add1~55\,
	combout => \Add1~56_combout\,
	cout => \Add1~57\);

-- Location: LCCOMB_X19_Y6_N24
\Add2~56\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~56_combout\ = ((var3(27) $ (\Add1~56_combout\ $ (!\Add2~55\)))) # (GND)
-- \Add2~57\ = CARRY((var3(27) & ((\Add1~56_combout\) # (!\Add2~55\))) # (!var3(27) & (\Add1~56_combout\ & !\Add2~55\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(27),
	datab => \Add1~56_combout\,
	datad => VCC,
	cin => \Add2~55\,
	combout => \Add2~56_combout\,
	cout => \Add2~57\);

-- Location: LCFF_X19_Y6_N25
\rst[28]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~56_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[28]~reg0_regout\);

-- Location: LCFF_X18_Y6_N25
\var3[28]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(27),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(28));

-- Location: LCFF_X18_Y6_N27
\var3[29]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(28),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(29));

-- Location: LCCOMB_X18_Y6_N26
\Add1~58\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~58_combout\ = (var3(28) & ((var3(29) & (\Add1~57\ & VCC)) # (!var3(29) & (!\Add1~57\)))) # (!var3(28) & ((var3(29) & (!\Add1~57\)) # (!var3(29) & ((\Add1~57\) # (GND)))))
-- \Add1~59\ = CARRY((var3(28) & (!var3(29) & !\Add1~57\)) # (!var3(28) & ((!\Add1~57\) # (!var3(29)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(28),
	datab => var3(29),
	datad => VCC,
	cin => \Add1~57\,
	combout => \Add1~58_combout\,
	cout => \Add1~59\);

-- Location: LCCOMB_X19_Y6_N26
\Add2~58\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~58_combout\ = (var3(28) & ((\Add1~58_combout\ & (\Add2~57\ & VCC)) # (!\Add1~58_combout\ & (!\Add2~57\)))) # (!var3(28) & ((\Add1~58_combout\ & (!\Add2~57\)) # (!\Add1~58_combout\ & ((\Add2~57\) # (GND)))))
-- \Add2~59\ = CARRY((var3(28) & (!\Add1~58_combout\ & !\Add2~57\)) # (!var3(28) & ((!\Add2~57\) # (!\Add1~58_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(28),
	datab => \Add1~58_combout\,
	datad => VCC,
	cin => \Add2~57\,
	combout => \Add2~58_combout\,
	cout => \Add2~59\);

-- Location: LCFF_X19_Y6_N27
\rst[29]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~58_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[29]~reg0_regout\);

-- Location: LCFF_X18_Y6_N29
\var3[30]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => var3(29),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => var3(30));

-- Location: LCCOMB_X19_Y6_N28
\Add2~60\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~60_combout\ = ((var3(29) $ (\Add1~60_combout\ $ (!\Add2~59\)))) # (GND)
-- \Add2~61\ = CARRY((var3(29) & ((\Add1~60_combout\) # (!\Add2~59\))) # (!var3(29) & (\Add1~60_combout\ & !\Add2~59\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => var3(29),
	datab => \Add1~60_combout\,
	datad => VCC,
	cin => \Add2~59\,
	combout => \Add2~60_combout\,
	cout => \Add2~61\);

-- Location: LCFF_X19_Y6_N29
\rst[30]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~60_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[30]~reg0_regout\);

-- Location: LCCOMB_X19_Y6_N30
\Add2~62\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~62_combout\ = \Add1~62_combout\ $ (\Add2~61\ $ (var3(30)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010101011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~62_combout\,
	datad => var3(30),
	cin => \Add2~61\,
	combout => \Add2~62_combout\);

-- Location: LCCOMB_X19_Y8_N8
\rst[31]~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \rst[31]~1_combout\ = !\Add2~62_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Add2~62_combout\,
	combout => \rst[31]~1_combout\);

-- Location: LCFF_X19_Y8_N9
\rst[31]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \rst[31]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[31]~reg0_regout\);

-- Location: PIN_226,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \ALT_INV_rst[0]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(0));

-- Location: PIN_140,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[1]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(1));

-- Location: PIN_97,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[2]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(2));

-- Location: PIN_46,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[3]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(3));

-- Location: PIN_156,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[4]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(4));

-- Location: PIN_162,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[5]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(5));

-- Location: PIN_137,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[6]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(6));

-- Location: PIN_157,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[7]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[7]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(7));

-- Location: PIN_109,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[8]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[8]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(8));

-- Location: PIN_222,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[9]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[9]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(9));

-- Location: PIN_88,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[10]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[10]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(10));

-- Location: PIN_150,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[11]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[11]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(11));

-- Location: PIN_136,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[12]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[12]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(12));

-- Location: PIN_49,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[13]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[13]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(13));

-- Location: PIN_149,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[14]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[14]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(14));

-- Location: PIN_87,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[15]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[15]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(15));

-- Location: PIN_135,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[16]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[16]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(16));

-- Location: PIN_141,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[17]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[17]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(17));

-- Location: PIN_192,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[18]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[18]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(18));

-- Location: PIN_232,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[19]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[19]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(19));

-- Location: PIN_223,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[20]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[20]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(20));

-- Location: PIN_84,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[21]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[21]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(21));

-- Location: PIN_230,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[22]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[22]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(22));

-- Location: PIN_208,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[23]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[23]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(23));

-- Location: PIN_139,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[24]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[24]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(24));

-- Location: PIN_218,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[25]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[25]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(25));

-- Location: PIN_203,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[26]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[26]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(26));

-- Location: PIN_216,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[27]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[27]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(27));

-- Location: PIN_231,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[28]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[28]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(28));

-- Location: PIN_214,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[29]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[29]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(29));

-- Location: PIN_228,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[30]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[30]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(30));

-- Location: PIN_86,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[31]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \ALT_INV_rst[31]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(31));
END structure;


