
-- Testbench.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY example_vhd_tst IS
END example_vhd_tst;

ARCHITECTURE example_arch OF example_vhd_tst IS                                               
	SIGNAL rst : STD_LOGIC_VECTOR(31 DOWNTO 0);	
	SIGNAL trigger : STD_LOGIC;
	COMPONENT example
		PORT (
		rst : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
		trigger : IN STD_LOGIC
		);
	END COMPONENT;
BEGIN
	i1 : example PORT MAP ( rst => rst, trigger => trigger );

	PROCESS                                                                                  
	BEGIN                                                        
      trigger <= '0';
		wait for 100 ns;
		trigger <= '1';
		wait for 100 ns;
		trigger <= '0';
		wait for 100 ns;
		trigger <= '1';
		wait for 100 ns;
		trigger <= '0';
		wait for 100 ns;
		WAIT;                                                       
	END PROCESS;       
	
END example_arch;
