
-- Testbench for the Or gate.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY orGate_vhd_tst IS
END orGate_vhd_tst;

ARCHITECTURE orGate_arch OF orGate_vhd_tst IS                                               
	SIGNAL a : STD_LOGIC;
	SIGNAL b : STD_LOGIC;
	SIGNAL c : STD_LOGIC;
	COMPONENT orGate
		PORT ( a, b : IN STD_LOGIC; c : OUT STD_LOGIC );
	END COMPONENT;
BEGIN
	i1 : orGate PORT MAP ( a, b, c ); 

	PROCESS                                                                                 
	BEGIN                                                        
      a <= '0'; b <= '0'; wait for 50 ns;		
      a <= '0'; b <= '1'; wait for 50 ns;				
      a <= '1'; b <= '0'; wait for 50 ns;		
      a <= '1'; b <= '1'; wait for 50 ns;				
		WAIT;                                                       
	END PROCESS;                                           
                                       
END orGate_arch;
