
-- Counter, Slide 24.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;    
USE ieee.std_logic_unsigned.all;

entity counter is
	port ( clk: in std_logic; q1, q2: out std_logic_vector (4 downto 0) );
end counter;

architecture behavior of counter is
	signal cnt: std_logic_vector (4 downto 0) := "00000";
begin
	process ( clk )
	begin
		if clk = '1' then cnt <= cnt + 1; end if;		
		q1 <= cnt;
	end process;
	q2 <= cnt;
end behavior;