
-- Testbench for orGateSTD.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY orGateSTD_vhd_tst IS
END orGateSTD_vhd_tst;

ARCHITECTURE orGateSTD_arch OF orGateSTD_vhd_tst IS                                               
	SIGNAL a : STD_LOGIC;
	SIGNAL b : STD_LOGIC;
	SIGNAL c : STD_LOGIC;
	COMPONENT orGateSTD
		PORT ( a, b : IN STD_LOGIC; c : OUT STD_LOGIC );
	END COMPONENT;
BEGIN
	i1 : orGateSTD PORT MAP ( a, b, c ); 

	PROCESS                                                                                 
	BEGIN                                                        
      a <= '0'; b <= '0'; wait for 50 ns;		
      a <= '0'; b <= '1'; wait for 50 ns;				
      a <= '1'; b <= '0'; wait for 50 ns;		
      a <= '1'; b <= '1'; wait for 50 ns;				
		a <= 'X'; b <= 'X'; wait for 50 ns;
		a <= 'Z'; b <= 'H'; wait for 50 ns; 
		WAIT;                                                       
	END PROCESS;                                           
                                       
END orGateSTD_arch;
