
-- Configurations, Slides 96 to 98.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all; 

entity test is
	port ( a, b, c, d: in std_logic; x, y: out std_logic );
end test;

architecture structure of test is
	component orGate
		port ( a, b: in std_logic; c: out std_logic );
	end component;
begin
	o1: orGate port map ( a, b, x );
	o2: orGate port map ( c, d, y );
end structure;

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all; 

entity orGate is
	port ( a, b: in std_logic; c: out std_logic );
end orGate;

architecture ok of orGate is
begin
	c <= a or b;
end ok;

architecture faulty of orGate is
begin
	c <= a and b; 
end faulty; 

--configuration cfg1 of test is
--	for structure
--		for all: orGate use entity work.orGate(ok); end for;
--	end for;
--end cfg1;

--configuration cfg2 of test is
--	for structure
--		for o1: orGate use entity work.orGate(ok); end for;
--		for o2: orGate use entity work.orGate(faulty); end for;
--		end for;
--end cfg2;
	