
-- Circuit.
-- Tobias Schubert, 2011.

library ieee;                                               
use ieee.std_logic_1164.all;    

entity circuit is
	port ( a, b: in std_logic_vector (1 downto 0); y: out std_logic );
end circuit;

architecture behavior of circuit is
	signal c, d, e, f : std_logic;
begin
	c <= a(0) xor b(0);
	d <= a(1) xor b(1);
	e <= a(0) and c and (not d); 
	f <= a(1) and d;
	y <= e or f; 
end behavior;