
-- Testbench for the "shift left logical" operator.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY shiftLeftLogical_vhd_tst IS
END shiftLeftLogical_vhd_tst;

ARCHITECTURE shiftLeftLogical_arch OF shiftLeftLogical_vhd_tst IS                                              
	SIGNAL a : STD_LOGIC_VECTOR(5 DOWNTO 0);
	SIGNAL b : STD_LOGIC_VECTOR(5 DOWNTO 0);
	COMPONENT shiftLeftLogical
		PORT (
		a : IN STD_LOGIC_VECTOR(5 DOWNTO 0);
		b : OUT STD_LOGIC_VECTOR(5 DOWNTO 0)
		);
	END COMPONENT;
BEGIN
	i1 : shiftLeftLogical PORT MAP ( a, b ); 

	PROCESS                                                                                   
	BEGIN                           	
		a <= "000000";
		wait for 50 ns;
	
		a <= "000001";
		wait for 50 ns;
	
		a <= b;
		wait for 50 ns;
                  
		a <= b;
		wait for 50 ns;
	
		a <= b;
		wait for 50 ns;
	
		a <= b;
		wait for 50 ns;
						   
		a <= b;
		wait for 50 ns;

		a <= b;
		wait for 50 ns;
		
		WAIT;                                                       
	END PROCESS;                                           
	
END shiftLeftLogical_arch;
