-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 197 01/19/2011 Service Pack 1 SJ Web Edition"

-- DATE "03/15/2011 16:25:53"

-- 
-- Device: Altera EP2C20Q240C8 Package PQFP240
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	example IS
    PORT (
	trigger : IN std_logic;
	rst : OUT std_logic_vector(31 DOWNTO 0)
	);
END example;

-- Design Ports Information
-- rst[0]	=>  Location: PIN_8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[1]	=>  Location: PIN_165,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[2]	=>  Location: PIN_96,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[3]	=>  Location: PIN_140,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[4]	=>  Location: PIN_39,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[5]	=>  Location: PIN_161,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[6]	=>  Location: PIN_157,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[7]	=>  Location: PIN_171,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[8]	=>  Location: PIN_159,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[9]	=>  Location: PIN_218,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[10]	=>  Location: PIN_155,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[11]	=>  Location: PIN_118,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[12]	=>  Location: PIN_164,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[13]	=>  Location: PIN_149,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[14]	=>  Location: PIN_52,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[15]	=>  Location: PIN_150,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[16]	=>  Location: PIN_141,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[17]	=>  Location: PIN_166,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[18]	=>  Location: PIN_68,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[19]	=>  Location: PIN_203,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[20]	=>  Location: PIN_191,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[21]	=>  Location: PIN_214,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[22]	=>  Location: PIN_226,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[23]	=>  Location: PIN_90,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[24]	=>  Location: PIN_216,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[25]	=>  Location: PIN_200,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[26]	=>  Location: PIN_197,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[27]	=>  Location: PIN_194,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[28]	=>  Location: PIN_186,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[29]	=>  Location: PIN_192,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[30]	=>  Location: PIN_199,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- rst[31]	=>  Location: PIN_208,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- trigger	=>  Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF example IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_trigger : std_logic;
SIGNAL ww_rst : std_logic_vector(31 DOWNTO 0);
SIGNAL \trigger~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Add1~0_combout\ : std_logic;
SIGNAL \Add1~6_combout\ : std_logic;
SIGNAL \Add1~8_combout\ : std_logic;
SIGNAL \Add1~10_combout\ : std_logic;
SIGNAL \Add1~12_combout\ : std_logic;
SIGNAL \Add1~18_combout\ : std_logic;
SIGNAL \Add1~28_combout\ : std_logic;
SIGNAL \Add1~30_combout\ : std_logic;
SIGNAL \Add1~32_combout\ : std_logic;
SIGNAL \Add1~38_combout\ : std_logic;
SIGNAL \Add1~40_combout\ : std_logic;
SIGNAL \Add1~42_combout\ : std_logic;
SIGNAL \Add1~44_combout\ : std_logic;
SIGNAL \Add1~50_combout\ : std_logic;
SIGNAL \trigger~combout\ : std_logic;
SIGNAL \trigger~clkctrl_outclk\ : std_logic;
SIGNAL \rst[0]~reg0feeder_combout\ : std_logic;
SIGNAL \rst[0]~reg0_regout\ : std_logic;
SIGNAL \sig3[0]~feeder_combout\ : std_logic;
SIGNAL \Add0~0_combout\ : std_logic;
SIGNAL \sig3[1]~feeder_combout\ : std_logic;
SIGNAL \Add2~1_cout\ : std_logic;
SIGNAL \Add2~2_combout\ : std_logic;
SIGNAL \rst[1]~reg0_regout\ : std_logic;
SIGNAL \sig1[1]~0_combout\ : std_logic;
SIGNAL \Add0~1_combout\ : std_logic;
SIGNAL \Add1~1\ : std_logic;
SIGNAL \Add1~2_combout\ : std_logic;
SIGNAL \Add2~3\ : std_logic;
SIGNAL \Add2~4_combout\ : std_logic;
SIGNAL \rst[2]~reg0_regout\ : std_logic;
SIGNAL \sig2[3]~feeder_combout\ : std_logic;
SIGNAL \Add1~3\ : std_logic;
SIGNAL \Add1~4_combout\ : std_logic;
SIGNAL \Add2~5\ : std_logic;
SIGNAL \Add2~6_combout\ : std_logic;
SIGNAL \rst[3]~reg0_regout\ : std_logic;
SIGNAL \Add2~7\ : std_logic;
SIGNAL \Add2~8_combout\ : std_logic;
SIGNAL \rst[4]~reg0_regout\ : std_logic;
SIGNAL \sig2[5]~feeder_combout\ : std_logic;
SIGNAL \Add2~9\ : std_logic;
SIGNAL \Add2~10_combout\ : std_logic;
SIGNAL \rst[5]~reg0_regout\ : std_logic;
SIGNAL \Add2~11\ : std_logic;
SIGNAL \Add2~12_combout\ : std_logic;
SIGNAL \rst[6]~reg0_regout\ : std_logic;
SIGNAL \Add2~13\ : std_logic;
SIGNAL \Add2~14_combout\ : std_logic;
SIGNAL \rst[7]~reg0_regout\ : std_logic;
SIGNAL \sig2[8]~feeder_combout\ : std_logic;
SIGNAL \Add1~5\ : std_logic;
SIGNAL \Add1~7\ : std_logic;
SIGNAL \Add1~9\ : std_logic;
SIGNAL \Add1~11\ : std_logic;
SIGNAL \Add1~13\ : std_logic;
SIGNAL \Add1~14_combout\ : std_logic;
SIGNAL \Add2~15\ : std_logic;
SIGNAL \Add2~16_combout\ : std_logic;
SIGNAL \rst[8]~reg0_regout\ : std_logic;
SIGNAL \Add1~15\ : std_logic;
SIGNAL \Add1~16_combout\ : std_logic;
SIGNAL \Add2~17\ : std_logic;
SIGNAL \Add2~18_combout\ : std_logic;
SIGNAL \rst[9]~reg0_regout\ : std_logic;
SIGNAL \sig2[10]~feeder_combout\ : std_logic;
SIGNAL \Add2~19\ : std_logic;
SIGNAL \Add2~20_combout\ : std_logic;
SIGNAL \rst[10]~reg0_regout\ : std_logic;
SIGNAL \Add1~17\ : std_logic;
SIGNAL \Add1~19\ : std_logic;
SIGNAL \Add1~20_combout\ : std_logic;
SIGNAL \Add2~21\ : std_logic;
SIGNAL \Add2~22_combout\ : std_logic;
SIGNAL \rst[11]~reg0_regout\ : std_logic;
SIGNAL \Add1~21\ : std_logic;
SIGNAL \Add1~22_combout\ : std_logic;
SIGNAL \Add2~23\ : std_logic;
SIGNAL \Add2~24_combout\ : std_logic;
SIGNAL \rst[12]~reg0_regout\ : std_logic;
SIGNAL \sig2[13]~feeder_combout\ : std_logic;
SIGNAL \Add1~23\ : std_logic;
SIGNAL \Add1~24_combout\ : std_logic;
SIGNAL \Add2~25\ : std_logic;
SIGNAL \Add2~26_combout\ : std_logic;
SIGNAL \rst[13]~reg0_regout\ : std_logic;
SIGNAL \Add1~25\ : std_logic;
SIGNAL \Add1~26_combout\ : std_logic;
SIGNAL \Add2~27\ : std_logic;
SIGNAL \Add2~28_combout\ : std_logic;
SIGNAL \rst[14]~reg0_regout\ : std_logic;
SIGNAL \sig2[15]~feeder_combout\ : std_logic;
SIGNAL \Add2~29\ : std_logic;
SIGNAL \Add2~30_combout\ : std_logic;
SIGNAL \rst[15]~reg0_regout\ : std_logic;
SIGNAL \Add2~31\ : std_logic;
SIGNAL \Add2~32_combout\ : std_logic;
SIGNAL \rst[16]~reg0_regout\ : std_logic;
SIGNAL \sig2[17]~feeder_combout\ : std_logic;
SIGNAL \Add2~33\ : std_logic;
SIGNAL \Add2~34_combout\ : std_logic;
SIGNAL \rst[17]~reg0_regout\ : std_logic;
SIGNAL \Add1~27\ : std_logic;
SIGNAL \Add1~29\ : std_logic;
SIGNAL \Add1~31\ : std_logic;
SIGNAL \Add1~33\ : std_logic;
SIGNAL \Add1~34_combout\ : std_logic;
SIGNAL \Add2~35\ : std_logic;
SIGNAL \Add2~36_combout\ : std_logic;
SIGNAL \rst[18]~reg0_regout\ : std_logic;
SIGNAL \Add1~35\ : std_logic;
SIGNAL \Add1~36_combout\ : std_logic;
SIGNAL \Add2~37\ : std_logic;
SIGNAL \Add2~38_combout\ : std_logic;
SIGNAL \rst[19]~reg0_regout\ : std_logic;
SIGNAL \sig2[20]~feeder_combout\ : std_logic;
SIGNAL \Add2~39\ : std_logic;
SIGNAL \Add2~40_combout\ : std_logic;
SIGNAL \rst[20]~reg0_regout\ : std_logic;
SIGNAL \Add2~41\ : std_logic;
SIGNAL \Add2~42_combout\ : std_logic;
SIGNAL \rst[21]~reg0_regout\ : std_logic;
SIGNAL \sig2[22]~feeder_combout\ : std_logic;
SIGNAL \Add2~43\ : std_logic;
SIGNAL \Add2~44_combout\ : std_logic;
SIGNAL \rst[22]~reg0_regout\ : std_logic;
SIGNAL \Add2~45\ : std_logic;
SIGNAL \Add2~46_combout\ : std_logic;
SIGNAL \rst[23]~reg0_regout\ : std_logic;
SIGNAL \sig2[24]~feeder_combout\ : std_logic;
SIGNAL \Add1~37\ : std_logic;
SIGNAL \Add1~39\ : std_logic;
SIGNAL \Add1~41\ : std_logic;
SIGNAL \Add1~43\ : std_logic;
SIGNAL \Add1~45\ : std_logic;
SIGNAL \Add1~46_combout\ : std_logic;
SIGNAL \Add2~47\ : std_logic;
SIGNAL \Add2~48_combout\ : std_logic;
SIGNAL \rst[24]~reg0_regout\ : std_logic;
SIGNAL \Add1~47\ : std_logic;
SIGNAL \Add1~48_combout\ : std_logic;
SIGNAL \Add2~49\ : std_logic;
SIGNAL \Add2~50_combout\ : std_logic;
SIGNAL \rst[25]~reg0_regout\ : std_logic;
SIGNAL \sig2[26]~feeder_combout\ : std_logic;
SIGNAL \Add2~51\ : std_logic;
SIGNAL \Add2~52_combout\ : std_logic;
SIGNAL \rst[26]~reg0_regout\ : std_logic;
SIGNAL \Add1~49\ : std_logic;
SIGNAL \Add1~51\ : std_logic;
SIGNAL \Add1~52_combout\ : std_logic;
SIGNAL \Add2~53\ : std_logic;
SIGNAL \Add2~54_combout\ : std_logic;
SIGNAL \rst[27]~reg0_regout\ : std_logic;
SIGNAL \sig2[28]~feeder_combout\ : std_logic;
SIGNAL \Add1~53\ : std_logic;
SIGNAL \Add1~54_combout\ : std_logic;
SIGNAL \Add2~55\ : std_logic;
SIGNAL \Add2~56_combout\ : std_logic;
SIGNAL \rst[28]~reg0_regout\ : std_logic;
SIGNAL \Add1~55\ : std_logic;
SIGNAL \Add1~56_combout\ : std_logic;
SIGNAL \Add2~57\ : std_logic;
SIGNAL \Add2~58_combout\ : std_logic;
SIGNAL \rst[29]~reg0_regout\ : std_logic;
SIGNAL \Add1~57\ : std_logic;
SIGNAL \Add1~58_combout\ : std_logic;
SIGNAL \Add2~59\ : std_logic;
SIGNAL \Add2~60_combout\ : std_logic;
SIGNAL \rst[30]~reg0_regout\ : std_logic;
SIGNAL \Add1~59\ : std_logic;
SIGNAL \Add1~60_combout\ : std_logic;
SIGNAL \Add2~61\ : std_logic;
SIGNAL \Add2~62_combout\ : std_logic;
SIGNAL \rst[31]~0_combout\ : std_logic;
SIGNAL \rst[31]~reg0_regout\ : std_logic;
SIGNAL sig1 : std_logic_vector(31 DOWNTO 0);
SIGNAL sig2 : std_logic_vector(31 DOWNTO 0);
SIGNAL sig3 : std_logic_vector(31 DOWNTO 0);
SIGNAL \ALT_INV_rst[0]~reg0_regout\ : std_logic;
SIGNAL \ALT_INV_rst[31]~reg0_regout\ : std_logic;

BEGIN

ww_trigger <= trigger;
rst <= ww_rst;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\trigger~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \trigger~combout\);
\ALT_INV_rst[0]~reg0_regout\ <= NOT \rst[0]~reg0_regout\;
\ALT_INV_rst[31]~reg0_regout\ <= NOT \rst[31]~reg0_regout\;

-- Location: LCCOMB_X30_Y12_N2
\Add1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~0_combout\ = (sig1(1) & (sig2(1) $ (GND))) # (!sig1(1) & (!sig2(1) & VCC))
-- \Add1~1\ = CARRY((sig1(1) & !sig2(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100100100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => sig1(1),
	datab => sig2(1),
	datad => VCC,
	combout => \Add1~0_combout\,
	cout => \Add1~1\);

-- Location: LCCOMB_X30_Y12_N8
\Add1~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~6_combout\ = (sig3(4) & ((sig2(4) & (\Add1~5\ & VCC)) # (!sig2(4) & (!\Add1~5\)))) # (!sig3(4) & ((sig2(4) & (!\Add1~5\)) # (!sig2(4) & ((\Add1~5\) # (GND)))))
-- \Add1~7\ = CARRY((sig3(4) & (!sig2(4) & !\Add1~5\)) # (!sig3(4) & ((!\Add1~5\) # (!sig2(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(4),
	datab => sig2(4),
	datad => VCC,
	cin => \Add1~5\,
	combout => \Add1~6_combout\,
	cout => \Add1~7\);

-- Location: LCCOMB_X30_Y12_N10
\Add1~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~8_combout\ = ((sig2(5) $ (sig3(5) $ (!\Add1~7\)))) # (GND)
-- \Add1~9\ = CARRY((sig2(5) & ((sig3(5)) # (!\Add1~7\))) # (!sig2(5) & (sig3(5) & !\Add1~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(5),
	datab => sig3(5),
	datad => VCC,
	cin => \Add1~7\,
	combout => \Add1~8_combout\,
	cout => \Add1~9\);

-- Location: LCCOMB_X30_Y12_N12
\Add1~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~10_combout\ = (sig3(6) & ((sig2(6) & (\Add1~9\ & VCC)) # (!sig2(6) & (!\Add1~9\)))) # (!sig3(6) & ((sig2(6) & (!\Add1~9\)) # (!sig2(6) & ((\Add1~9\) # (GND)))))
-- \Add1~11\ = CARRY((sig3(6) & (!sig2(6) & !\Add1~9\)) # (!sig3(6) & ((!\Add1~9\) # (!sig2(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(6),
	datab => sig2(6),
	datad => VCC,
	cin => \Add1~9\,
	combout => \Add1~10_combout\,
	cout => \Add1~11\);

-- Location: LCCOMB_X30_Y12_N14
\Add1~12\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~12_combout\ = ((sig2(7) $ (sig3(7) $ (!\Add1~11\)))) # (GND)
-- \Add1~13\ = CARRY((sig2(7) & ((sig3(7)) # (!\Add1~11\))) # (!sig2(7) & (sig3(7) & !\Add1~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(7),
	datab => sig3(7),
	datad => VCC,
	cin => \Add1~11\,
	combout => \Add1~12_combout\,
	cout => \Add1~13\);

-- Location: LCCOMB_X30_Y12_N20
\Add1~18\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~18_combout\ = (sig3(10) & ((sig2(10) & (\Add1~17\ & VCC)) # (!sig2(10) & (!\Add1~17\)))) # (!sig3(10) & ((sig2(10) & (!\Add1~17\)) # (!sig2(10) & ((\Add1~17\) # (GND)))))
-- \Add1~19\ = CARRY((sig3(10) & (!sig2(10) & !\Add1~17\)) # (!sig3(10) & ((!\Add1~17\) # (!sig2(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(10),
	datab => sig2(10),
	datad => VCC,
	cin => \Add1~17\,
	combout => \Add1~18_combout\,
	cout => \Add1~19\);

-- Location: LCCOMB_X30_Y12_N30
\Add1~28\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~28_combout\ = ((sig2(15) $ (sig3(15) $ (!\Add1~27\)))) # (GND)
-- \Add1~29\ = CARRY((sig2(15) & ((sig3(15)) # (!\Add1~27\))) # (!sig2(15) & (sig3(15) & !\Add1~27\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(15),
	datab => sig3(15),
	datad => VCC,
	cin => \Add1~27\,
	combout => \Add1~28_combout\,
	cout => \Add1~29\);

-- Location: LCCOMB_X30_Y11_N0
\Add1~30\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~30_combout\ = (sig2(16) & ((sig3(16) & (\Add1~29\ & VCC)) # (!sig3(16) & (!\Add1~29\)))) # (!sig2(16) & ((sig3(16) & (!\Add1~29\)) # (!sig3(16) & ((\Add1~29\) # (GND)))))
-- \Add1~31\ = CARRY((sig2(16) & (!sig3(16) & !\Add1~29\)) # (!sig2(16) & ((!\Add1~29\) # (!sig3(16)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(16),
	datab => sig3(16),
	datad => VCC,
	cin => \Add1~29\,
	combout => \Add1~30_combout\,
	cout => \Add1~31\);

-- Location: LCCOMB_X30_Y11_N2
\Add1~32\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~32_combout\ = ((sig2(17) $ (sig3(17) $ (!\Add1~31\)))) # (GND)
-- \Add1~33\ = CARRY((sig2(17) & ((sig3(17)) # (!\Add1~31\))) # (!sig2(17) & (sig3(17) & !\Add1~31\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(17),
	datab => sig3(17),
	datad => VCC,
	cin => \Add1~31\,
	combout => \Add1~32_combout\,
	cout => \Add1~33\);

-- Location: LCCOMB_X30_Y11_N8
\Add1~38\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~38_combout\ = (sig2(20) & ((sig3(20) & (\Add1~37\ & VCC)) # (!sig3(20) & (!\Add1~37\)))) # (!sig2(20) & ((sig3(20) & (!\Add1~37\)) # (!sig3(20) & ((\Add1~37\) # (GND)))))
-- \Add1~39\ = CARRY((sig2(20) & (!sig3(20) & !\Add1~37\)) # (!sig2(20) & ((!\Add1~37\) # (!sig3(20)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(20),
	datab => sig3(20),
	datad => VCC,
	cin => \Add1~37\,
	combout => \Add1~38_combout\,
	cout => \Add1~39\);

-- Location: LCCOMB_X30_Y11_N10
\Add1~40\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~40_combout\ = ((sig3(21) $ (sig2(21) $ (!\Add1~39\)))) # (GND)
-- \Add1~41\ = CARRY((sig3(21) & ((sig2(21)) # (!\Add1~39\))) # (!sig3(21) & (sig2(21) & !\Add1~39\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(21),
	datab => sig2(21),
	datad => VCC,
	cin => \Add1~39\,
	combout => \Add1~40_combout\,
	cout => \Add1~41\);

-- Location: LCCOMB_X30_Y11_N12
\Add1~42\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~42_combout\ = (sig3(22) & ((sig2(22) & (\Add1~41\ & VCC)) # (!sig2(22) & (!\Add1~41\)))) # (!sig3(22) & ((sig2(22) & (!\Add1~41\)) # (!sig2(22) & ((\Add1~41\) # (GND)))))
-- \Add1~43\ = CARRY((sig3(22) & (!sig2(22) & !\Add1~41\)) # (!sig3(22) & ((!\Add1~41\) # (!sig2(22)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(22),
	datab => sig2(22),
	datad => VCC,
	cin => \Add1~41\,
	combout => \Add1~42_combout\,
	cout => \Add1~43\);

-- Location: LCCOMB_X30_Y11_N14
\Add1~44\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~44_combout\ = ((sig2(23) $ (sig3(23) $ (!\Add1~43\)))) # (GND)
-- \Add1~45\ = CARRY((sig2(23) & ((sig3(23)) # (!\Add1~43\))) # (!sig2(23) & (sig3(23) & !\Add1~43\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(23),
	datab => sig3(23),
	datad => VCC,
	cin => \Add1~43\,
	combout => \Add1~44_combout\,
	cout => \Add1~45\);

-- Location: LCCOMB_X30_Y11_N20
\Add1~50\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~50_combout\ = (sig3(26) & ((sig2(26) & (\Add1~49\ & VCC)) # (!sig2(26) & (!\Add1~49\)))) # (!sig3(26) & ((sig2(26) & (!\Add1~49\)) # (!sig2(26) & ((\Add1~49\) # (GND)))))
-- \Add1~51\ = CARRY((sig3(26) & (!sig2(26) & !\Add1~49\)) # (!sig3(26) & ((!\Add1~49\) # (!sig2(26)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(26),
	datab => sig2(26),
	datad => VCC,
	cin => \Add1~49\,
	combout => \Add1~50_combout\,
	cout => \Add1~51\);

-- Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\trigger~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_trigger,
	combout => \trigger~combout\);

-- Location: CLKCTRL_G3
\trigger~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \trigger~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \trigger~clkctrl_outclk\);

-- Location: LCCOMB_X2_Y24_N16
\rst[0]~reg0feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \rst[0]~reg0feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \rst[0]~reg0feeder_combout\);

-- Location: LCFF_X2_Y24_N17
\rst[0]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \rst[0]~reg0feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[0]~reg0_regout\);

-- Location: LCCOMB_X33_Y7_N28
\sig3[0]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig3[0]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \sig3[0]~feeder_combout\);

-- Location: LCFF_X33_Y7_N29
\sig3[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig3[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(0));

-- Location: LCCOMB_X30_Y12_N0
\Add0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add0~0_combout\ = sig1(1) $ (sig3(1) $ (!sig3(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010100101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => sig1(1),
	datac => sig3(1),
	datad => sig3(0),
	combout => \Add0~0_combout\);

-- Location: LCFF_X30_Y12_N1
\sig2[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(1));

-- Location: LCCOMB_X33_Y7_N0
\sig3[1]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig3[1]~feeder_combout\ = sig2(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig2(1),
	combout => \sig3[1]~feeder_combout\);

-- Location: LCFF_X33_Y7_N1
\sig3[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig3[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(1));

-- Location: LCCOMB_X31_Y12_N0
\Add2~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~1_cout\ = CARRY(!sig3(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => sig3(0),
	datad => VCC,
	cout => \Add2~1_cout\);

-- Location: LCCOMB_X31_Y12_N2
\Add2~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~2_combout\ = (\Add1~0_combout\ & ((sig3(1) & (!\Add2~1_cout\)) # (!sig3(1) & (\Add2~1_cout\ & VCC)))) # (!\Add1~0_combout\ & ((sig3(1) & ((\Add2~1_cout\) # (GND))) # (!sig3(1) & (!\Add2~1_cout\))))
-- \Add2~3\ = CARRY((\Add1~0_combout\ & (sig3(1) & !\Add2~1_cout\)) # (!\Add1~0_combout\ & ((sig3(1)) # (!\Add2~1_cout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~0_combout\,
	datab => sig3(1),
	datad => VCC,
	cin => \Add2~1_cout\,
	combout => \Add2~2_combout\,
	cout => \Add2~3\);

-- Location: LCFF_X31_Y12_N3
\rst[1]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[1]~reg0_regout\);

-- Location: LCCOMB_X33_Y7_N2
\sig1[1]~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig1[1]~0_combout\ = !sig2(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig2(1),
	combout => \sig1[1]~0_combout\);

-- Location: LCFF_X33_Y7_N3
\sig1[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig1[1]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig1(1));

-- Location: LCCOMB_X33_Y7_N22
\Add0~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add0~1_combout\ = (sig1(1) & ((!sig3(0)) # (!sig3(1)))) # (!sig1(1) & (!sig3(1) & !sig3(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110011001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => sig1(1),
	datac => sig3(1),
	datad => sig3(0),
	combout => \Add0~1_combout\);

-- Location: LCFF_X33_Y7_N23
\sig2[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(2));

-- Location: LCCOMB_X30_Y12_N4
\Add1~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~2_combout\ = (sig3(2) & ((sig2(2) & (\Add1~1\ & VCC)) # (!sig2(2) & (!\Add1~1\)))) # (!sig3(2) & ((sig2(2) & (!\Add1~1\)) # (!sig2(2) & ((\Add1~1\) # (GND)))))
-- \Add1~3\ = CARRY((sig3(2) & (!sig2(2) & !\Add1~1\)) # (!sig3(2) & ((!\Add1~1\) # (!sig2(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(2),
	datab => sig2(2),
	datad => VCC,
	cin => \Add1~1\,
	combout => \Add1~2_combout\,
	cout => \Add1~3\);

-- Location: LCCOMB_X31_Y12_N4
\Add2~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~4_combout\ = ((sig3(2) $ (\Add1~2_combout\ $ (!\Add2~3\)))) # (GND)
-- \Add2~5\ = CARRY((sig3(2) & ((\Add1~2_combout\) # (!\Add2~3\))) # (!sig3(2) & (\Add1~2_combout\ & !\Add2~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(2),
	datab => \Add1~2_combout\,
	datad => VCC,
	cin => \Add2~3\,
	combout => \Add2~4_combout\,
	cout => \Add2~5\);

-- Location: LCFF_X31_Y12_N5
\rst[2]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[2]~reg0_regout\);

-- Location: LCFF_X30_Y12_N5
\sig3[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(2),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(2));

-- Location: LCCOMB_X32_Y11_N24
\sig2[3]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[3]~feeder_combout\ = sig3(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(2),
	combout => \sig2[3]~feeder_combout\);

-- Location: LCFF_X32_Y11_N25
\sig2[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(3));

-- Location: LCCOMB_X30_Y12_N6
\Add1~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~4_combout\ = ((sig3(3) $ (sig2(3) $ (!\Add1~3\)))) # (GND)
-- \Add1~5\ = CARRY((sig3(3) & ((sig2(3)) # (!\Add1~3\))) # (!sig3(3) & (sig2(3) & !\Add1~3\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(3),
	datab => sig2(3),
	datad => VCC,
	cin => \Add1~3\,
	combout => \Add1~4_combout\,
	cout => \Add1~5\);

-- Location: LCCOMB_X31_Y12_N6
\Add2~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~6_combout\ = (sig3(3) & ((\Add1~4_combout\ & (\Add2~5\ & VCC)) # (!\Add1~4_combout\ & (!\Add2~5\)))) # (!sig3(3) & ((\Add1~4_combout\ & (!\Add2~5\)) # (!\Add1~4_combout\ & ((\Add2~5\) # (GND)))))
-- \Add2~7\ = CARRY((sig3(3) & (!\Add1~4_combout\ & !\Add2~5\)) # (!sig3(3) & ((!\Add2~5\) # (!\Add1~4_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(3),
	datab => \Add1~4_combout\,
	datad => VCC,
	cin => \Add2~5\,
	combout => \Add2~6_combout\,
	cout => \Add2~7\);

-- Location: LCFF_X31_Y12_N7
\rst[3]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[3]~reg0_regout\);

-- Location: LCFF_X30_Y12_N7
\sig3[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(3),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(3));

-- Location: LCFF_X32_Y11_N19
\sig2[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(3),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(4));

-- Location: LCFF_X30_Y12_N9
\sig3[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(4),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(4));

-- Location: LCCOMB_X31_Y12_N8
\Add2~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~8_combout\ = ((\Add1~6_combout\ $ (sig3(4) $ (!\Add2~7\)))) # (GND)
-- \Add2~9\ = CARRY((\Add1~6_combout\ & ((sig3(4)) # (!\Add2~7\))) # (!\Add1~6_combout\ & (sig3(4) & !\Add2~7\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~6_combout\,
	datab => sig3(4),
	datad => VCC,
	cin => \Add2~7\,
	combout => \Add2~8_combout\,
	cout => \Add2~9\);

-- Location: LCFF_X31_Y12_N9
\rst[4]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~8_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[4]~reg0_regout\);

-- Location: LCCOMB_X32_Y11_N28
\sig2[5]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[5]~feeder_combout\ = sig3(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(4),
	combout => \sig2[5]~feeder_combout\);

-- Location: LCFF_X32_Y11_N29
\sig2[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(5));

-- Location: LCFF_X30_Y12_N11
\sig3[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(5),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(5));

-- Location: LCCOMB_X31_Y12_N10
\Add2~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~10_combout\ = (\Add1~8_combout\ & ((sig3(5) & (\Add2~9\ & VCC)) # (!sig3(5) & (!\Add2~9\)))) # (!\Add1~8_combout\ & ((sig3(5) & (!\Add2~9\)) # (!sig3(5) & ((\Add2~9\) # (GND)))))
-- \Add2~11\ = CARRY((\Add1~8_combout\ & (!sig3(5) & !\Add2~9\)) # (!\Add1~8_combout\ & ((!\Add2~9\) # (!sig3(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~8_combout\,
	datab => sig3(5),
	datad => VCC,
	cin => \Add2~9\,
	combout => \Add2~10_combout\,
	cout => \Add2~11\);

-- Location: LCFF_X31_Y12_N11
\rst[5]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~10_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[5]~reg0_regout\);

-- Location: LCFF_X32_Y11_N23
\sig2[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(5),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(6));

-- Location: LCFF_X30_Y12_N13
\sig3[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(6),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(6));

-- Location: LCCOMB_X31_Y12_N12
\Add2~12\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~12_combout\ = ((\Add1~10_combout\ $ (sig3(6) $ (!\Add2~11\)))) # (GND)
-- \Add2~13\ = CARRY((\Add1~10_combout\ & ((sig3(6)) # (!\Add2~11\))) # (!\Add1~10_combout\ & (sig3(6) & !\Add2~11\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~10_combout\,
	datab => sig3(6),
	datad => VCC,
	cin => \Add2~11\,
	combout => \Add2~12_combout\,
	cout => \Add2~13\);

-- Location: LCFF_X31_Y12_N13
\rst[6]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[6]~reg0_regout\);

-- Location: LCFF_X32_Y11_N9
\sig2[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(6),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(7));

-- Location: LCFF_X30_Y12_N15
\sig3[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(7),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(7));

-- Location: LCCOMB_X31_Y12_N14
\Add2~14\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~14_combout\ = (\Add1~12_combout\ & ((sig3(7) & (\Add2~13\ & VCC)) # (!sig3(7) & (!\Add2~13\)))) # (!\Add1~12_combout\ & ((sig3(7) & (!\Add2~13\)) # (!sig3(7) & ((\Add2~13\) # (GND)))))
-- \Add2~15\ = CARRY((\Add1~12_combout\ & (!sig3(7) & !\Add2~13\)) # (!\Add1~12_combout\ & ((!\Add2~13\) # (!sig3(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~12_combout\,
	datab => sig3(7),
	datad => VCC,
	cin => \Add2~13\,
	combout => \Add2~14_combout\,
	cout => \Add2~15\);

-- Location: LCFF_X31_Y12_N15
\rst[7]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~14_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[7]~reg0_regout\);

-- Location: LCCOMB_X32_Y11_N10
\sig2[8]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[8]~feeder_combout\ = sig3(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(7),
	combout => \sig2[8]~feeder_combout\);

-- Location: LCFF_X32_Y11_N11
\sig2[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[8]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(8));

-- Location: LCCOMB_X30_Y12_N16
\Add1~14\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~14_combout\ = (sig3(8) & ((sig2(8) & (\Add1~13\ & VCC)) # (!sig2(8) & (!\Add1~13\)))) # (!sig3(8) & ((sig2(8) & (!\Add1~13\)) # (!sig2(8) & ((\Add1~13\) # (GND)))))
-- \Add1~15\ = CARRY((sig3(8) & (!sig2(8) & !\Add1~13\)) # (!sig3(8) & ((!\Add1~13\) # (!sig2(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(8),
	datab => sig2(8),
	datad => VCC,
	cin => \Add1~13\,
	combout => \Add1~14_combout\,
	cout => \Add1~15\);

-- Location: LCCOMB_X31_Y12_N16
\Add2~16\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~16_combout\ = ((sig3(8) $ (\Add1~14_combout\ $ (!\Add2~15\)))) # (GND)
-- \Add2~17\ = CARRY((sig3(8) & ((\Add1~14_combout\) # (!\Add2~15\))) # (!sig3(8) & (\Add1~14_combout\ & !\Add2~15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(8),
	datab => \Add1~14_combout\,
	datad => VCC,
	cin => \Add2~15\,
	combout => \Add2~16_combout\,
	cout => \Add2~17\);

-- Location: LCFF_X31_Y12_N17
\rst[8]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[8]~reg0_regout\);

-- Location: LCFF_X30_Y12_N17
\sig3[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(8),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(8));

-- Location: LCFF_X32_Y11_N13
\sig2[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(8),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(9));

-- Location: LCCOMB_X30_Y12_N18
\Add1~16\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~16_combout\ = ((sig3(9) $ (sig2(9) $ (!\Add1~15\)))) # (GND)
-- \Add1~17\ = CARRY((sig3(9) & ((sig2(9)) # (!\Add1~15\))) # (!sig3(9) & (sig2(9) & !\Add1~15\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(9),
	datab => sig2(9),
	datad => VCC,
	cin => \Add1~15\,
	combout => \Add1~16_combout\,
	cout => \Add1~17\);

-- Location: LCCOMB_X31_Y12_N18
\Add2~18\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~18_combout\ = (sig3(9) & ((\Add1~16_combout\ & (\Add2~17\ & VCC)) # (!\Add1~16_combout\ & (!\Add2~17\)))) # (!sig3(9) & ((\Add1~16_combout\ & (!\Add2~17\)) # (!\Add1~16_combout\ & ((\Add2~17\) # (GND)))))
-- \Add2~19\ = CARRY((sig3(9) & (!\Add1~16_combout\ & !\Add2~17\)) # (!sig3(9) & ((!\Add2~17\) # (!\Add1~16_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(9),
	datab => \Add1~16_combout\,
	datad => VCC,
	cin => \Add2~17\,
	combout => \Add2~18_combout\,
	cout => \Add2~19\);

-- Location: LCFF_X31_Y12_N19
\rst[9]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~18_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[9]~reg0_regout\);

-- Location: LCFF_X30_Y12_N19
\sig3[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(9),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(9));

-- Location: LCCOMB_X32_Y11_N30
\sig2[10]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[10]~feeder_combout\ = sig3(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(9),
	combout => \sig2[10]~feeder_combout\);

-- Location: LCFF_X32_Y11_N31
\sig2[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[10]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(10));

-- Location: LCFF_X30_Y12_N21
\sig3[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(10),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(10));

-- Location: LCCOMB_X31_Y12_N20
\Add2~20\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~20_combout\ = ((\Add1~18_combout\ $ (sig3(10) $ (!\Add2~19\)))) # (GND)
-- \Add2~21\ = CARRY((\Add1~18_combout\ & ((sig3(10)) # (!\Add2~19\))) # (!\Add1~18_combout\ & (sig3(10) & !\Add2~19\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~18_combout\,
	datab => sig3(10),
	datad => VCC,
	cin => \Add2~19\,
	combout => \Add2~20_combout\,
	cout => \Add2~21\);

-- Location: LCFF_X31_Y12_N21
\rst[10]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~20_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[10]~reg0_regout\);

-- Location: LCFF_X32_Y11_N17
\sig2[11]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(10),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(11));

-- Location: LCFF_X30_Y12_N23
\sig3[11]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(11),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(11));

-- Location: LCCOMB_X30_Y12_N22
\Add1~20\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~20_combout\ = ((sig2(11) $ (sig3(11) $ (!\Add1~19\)))) # (GND)
-- \Add1~21\ = CARRY((sig2(11) & ((sig3(11)) # (!\Add1~19\))) # (!sig2(11) & (sig3(11) & !\Add1~19\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(11),
	datab => sig3(11),
	datad => VCC,
	cin => \Add1~19\,
	combout => \Add1~20_combout\,
	cout => \Add1~21\);

-- Location: LCCOMB_X31_Y12_N22
\Add2~22\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~22_combout\ = (sig3(11) & ((\Add1~20_combout\ & (\Add2~21\ & VCC)) # (!\Add1~20_combout\ & (!\Add2~21\)))) # (!sig3(11) & ((\Add1~20_combout\ & (!\Add2~21\)) # (!\Add1~20_combout\ & ((\Add2~21\) # (GND)))))
-- \Add2~23\ = CARRY((sig3(11) & (!\Add1~20_combout\ & !\Add2~21\)) # (!sig3(11) & ((!\Add2~21\) # (!\Add1~20_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(11),
	datab => \Add1~20_combout\,
	datad => VCC,
	cin => \Add2~21\,
	combout => \Add2~22_combout\,
	cout => \Add2~23\);

-- Location: LCFF_X31_Y12_N23
\rst[11]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~22_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[11]~reg0_regout\);

-- Location: LCFF_X32_Y11_N3
\sig2[12]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(11),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(12));

-- Location: LCCOMB_X30_Y12_N24
\Add1~22\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~22_combout\ = (sig3(12) & ((sig2(12) & (\Add1~21\ & VCC)) # (!sig2(12) & (!\Add1~21\)))) # (!sig3(12) & ((sig2(12) & (!\Add1~21\)) # (!sig2(12) & ((\Add1~21\) # (GND)))))
-- \Add1~23\ = CARRY((sig3(12) & (!sig2(12) & !\Add1~21\)) # (!sig3(12) & ((!\Add1~21\) # (!sig2(12)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(12),
	datab => sig2(12),
	datad => VCC,
	cin => \Add1~21\,
	combout => \Add1~22_combout\,
	cout => \Add1~23\);

-- Location: LCCOMB_X31_Y12_N24
\Add2~24\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~24_combout\ = ((sig3(12) $ (\Add1~22_combout\ $ (!\Add2~23\)))) # (GND)
-- \Add2~25\ = CARRY((sig3(12) & ((\Add1~22_combout\) # (!\Add2~23\))) # (!sig3(12) & (\Add1~22_combout\ & !\Add2~23\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(12),
	datab => \Add1~22_combout\,
	datad => VCC,
	cin => \Add2~23\,
	combout => \Add2~24_combout\,
	cout => \Add2~25\);

-- Location: LCFF_X31_Y12_N25
\rst[12]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~24_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[12]~reg0_regout\);

-- Location: LCFF_X30_Y12_N25
\sig3[12]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(12),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(12));

-- Location: LCCOMB_X32_Y11_N20
\sig2[13]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[13]~feeder_combout\ = sig3(12)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(12),
	combout => \sig2[13]~feeder_combout\);

-- Location: LCFF_X32_Y11_N21
\sig2[13]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[13]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(13));

-- Location: LCCOMB_X30_Y12_N26
\Add1~24\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~24_combout\ = ((sig3(13) $ (sig2(13) $ (!\Add1~23\)))) # (GND)
-- \Add1~25\ = CARRY((sig3(13) & ((sig2(13)) # (!\Add1~23\))) # (!sig3(13) & (sig2(13) & !\Add1~23\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(13),
	datab => sig2(13),
	datad => VCC,
	cin => \Add1~23\,
	combout => \Add1~24_combout\,
	cout => \Add1~25\);

-- Location: LCCOMB_X31_Y12_N26
\Add2~26\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~26_combout\ = (sig3(13) & ((\Add1~24_combout\ & (\Add2~25\ & VCC)) # (!\Add1~24_combout\ & (!\Add2~25\)))) # (!sig3(13) & ((\Add1~24_combout\ & (!\Add2~25\)) # (!\Add1~24_combout\ & ((\Add2~25\) # (GND)))))
-- \Add2~27\ = CARRY((sig3(13) & (!\Add1~24_combout\ & !\Add2~25\)) # (!sig3(13) & ((!\Add2~25\) # (!\Add1~24_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(13),
	datab => \Add1~24_combout\,
	datad => VCC,
	cin => \Add2~25\,
	combout => \Add2~26_combout\,
	cout => \Add2~27\);

-- Location: LCFF_X31_Y12_N27
\rst[13]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~26_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[13]~reg0_regout\);

-- Location: LCFF_X30_Y12_N27
\sig3[13]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(13),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(13));

-- Location: LCFF_X32_Y11_N7
\sig2[14]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(13),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(14));

-- Location: LCFF_X30_Y12_N29
\sig3[14]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(14),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(14));

-- Location: LCCOMB_X30_Y12_N28
\Add1~26\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~26_combout\ = (sig2(14) & ((sig3(14) & (\Add1~25\ & VCC)) # (!sig3(14) & (!\Add1~25\)))) # (!sig2(14) & ((sig3(14) & (!\Add1~25\)) # (!sig3(14) & ((\Add1~25\) # (GND)))))
-- \Add1~27\ = CARRY((sig2(14) & (!sig3(14) & !\Add1~25\)) # (!sig2(14) & ((!\Add1~25\) # (!sig3(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(14),
	datab => sig3(14),
	datad => VCC,
	cin => \Add1~25\,
	combout => \Add1~26_combout\,
	cout => \Add1~27\);

-- Location: LCCOMB_X31_Y12_N28
\Add2~28\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~28_combout\ = ((sig3(14) $ (\Add1~26_combout\ $ (!\Add2~27\)))) # (GND)
-- \Add2~29\ = CARRY((sig3(14) & ((\Add1~26_combout\) # (!\Add2~27\))) # (!sig3(14) & (\Add1~26_combout\ & !\Add2~27\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(14),
	datab => \Add1~26_combout\,
	datad => VCC,
	cin => \Add2~27\,
	combout => \Add2~28_combout\,
	cout => \Add2~29\);

-- Location: LCFF_X31_Y12_N29
\rst[14]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~28_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[14]~reg0_regout\);

-- Location: LCCOMB_X32_Y11_N0
\sig2[15]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[15]~feeder_combout\ = sig3(14)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(14),
	combout => \sig2[15]~feeder_combout\);

-- Location: LCFF_X32_Y11_N1
\sig2[15]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[15]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(15));

-- Location: LCFF_X30_Y12_N31
\sig3[15]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(15),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(15));

-- Location: LCCOMB_X31_Y12_N30
\Add2~30\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~30_combout\ = (\Add1~28_combout\ & ((sig3(15) & (\Add2~29\ & VCC)) # (!sig3(15) & (!\Add2~29\)))) # (!\Add1~28_combout\ & ((sig3(15) & (!\Add2~29\)) # (!sig3(15) & ((\Add2~29\) # (GND)))))
-- \Add2~31\ = CARRY((\Add1~28_combout\ & (!sig3(15) & !\Add2~29\)) # (!\Add1~28_combout\ & ((!\Add2~29\) # (!sig3(15)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~28_combout\,
	datab => sig3(15),
	datad => VCC,
	cin => \Add2~29\,
	combout => \Add2~30_combout\,
	cout => \Add2~31\);

-- Location: LCFF_X31_Y12_N31
\rst[15]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~30_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[15]~reg0_regout\);

-- Location: LCFF_X32_Y11_N27
\sig2[16]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(15),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(16));

-- Location: LCFF_X30_Y11_N1
\sig3[16]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(16),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(16));

-- Location: LCCOMB_X31_Y11_N0
\Add2~32\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~32_combout\ = ((\Add1~30_combout\ $ (sig3(16) $ (!\Add2~31\)))) # (GND)
-- \Add2~33\ = CARRY((\Add1~30_combout\ & ((sig3(16)) # (!\Add2~31\))) # (!\Add1~30_combout\ & (sig3(16) & !\Add2~31\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~30_combout\,
	datab => sig3(16),
	datad => VCC,
	cin => \Add2~31\,
	combout => \Add2~32_combout\,
	cout => \Add2~33\);

-- Location: LCFF_X31_Y11_N1
\rst[16]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~32_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[16]~reg0_regout\);

-- Location: LCCOMB_X26_Y10_N0
\sig2[17]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[17]~feeder_combout\ = sig3(16)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(16),
	combout => \sig2[17]~feeder_combout\);

-- Location: LCFF_X26_Y10_N1
\sig2[17]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[17]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(17));

-- Location: LCFF_X30_Y11_N3
\sig3[17]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(17),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(17));

-- Location: LCCOMB_X31_Y11_N2
\Add2~34\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~34_combout\ = (\Add1~32_combout\ & ((sig3(17) & (\Add2~33\ & VCC)) # (!sig3(17) & (!\Add2~33\)))) # (!\Add1~32_combout\ & ((sig3(17) & (!\Add2~33\)) # (!sig3(17) & ((\Add2~33\) # (GND)))))
-- \Add2~35\ = CARRY((\Add1~32_combout\ & (!sig3(17) & !\Add2~33\)) # (!\Add1~32_combout\ & ((!\Add2~33\) # (!sig3(17)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~32_combout\,
	datab => sig3(17),
	datad => VCC,
	cin => \Add2~33\,
	combout => \Add2~34_combout\,
	cout => \Add2~35\);

-- Location: LCFF_X31_Y11_N3
\rst[17]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~34_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[17]~reg0_regout\);

-- Location: LCFF_X26_Y10_N11
\sig2[18]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(17),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(18));

-- Location: LCCOMB_X30_Y11_N4
\Add1~34\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~34_combout\ = (sig3(18) & ((sig2(18) & (\Add1~33\ & VCC)) # (!sig2(18) & (!\Add1~33\)))) # (!sig3(18) & ((sig2(18) & (!\Add1~33\)) # (!sig2(18) & ((\Add1~33\) # (GND)))))
-- \Add1~35\ = CARRY((sig3(18) & (!sig2(18) & !\Add1~33\)) # (!sig3(18) & ((!\Add1~33\) # (!sig2(18)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(18),
	datab => sig2(18),
	datad => VCC,
	cin => \Add1~33\,
	combout => \Add1~34_combout\,
	cout => \Add1~35\);

-- Location: LCCOMB_X31_Y11_N4
\Add2~36\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~36_combout\ = ((sig3(18) $ (\Add1~34_combout\ $ (!\Add2~35\)))) # (GND)
-- \Add2~37\ = CARRY((sig3(18) & ((\Add1~34_combout\) # (!\Add2~35\))) # (!sig3(18) & (\Add1~34_combout\ & !\Add2~35\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(18),
	datab => \Add1~34_combout\,
	datad => VCC,
	cin => \Add2~35\,
	combout => \Add2~36_combout\,
	cout => \Add2~37\);

-- Location: LCFF_X31_Y11_N5
\rst[18]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~36_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[18]~reg0_regout\);

-- Location: LCFF_X30_Y11_N5
\sig3[18]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(18),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(18));

-- Location: LCFF_X26_Y10_N5
\sig2[19]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(18),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(19));

-- Location: LCCOMB_X30_Y11_N6
\Add1~36\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~36_combout\ = ((sig3(19) $ (sig2(19) $ (!\Add1~35\)))) # (GND)
-- \Add1~37\ = CARRY((sig3(19) & ((sig2(19)) # (!\Add1~35\))) # (!sig3(19) & (sig2(19) & !\Add1~35\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(19),
	datab => sig2(19),
	datad => VCC,
	cin => \Add1~35\,
	combout => \Add1~36_combout\,
	cout => \Add1~37\);

-- Location: LCCOMB_X31_Y11_N6
\Add2~38\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~38_combout\ = (sig3(19) & ((\Add1~36_combout\ & (\Add2~37\ & VCC)) # (!\Add1~36_combout\ & (!\Add2~37\)))) # (!sig3(19) & ((\Add1~36_combout\ & (!\Add2~37\)) # (!\Add1~36_combout\ & ((\Add2~37\) # (GND)))))
-- \Add2~39\ = CARRY((sig3(19) & (!\Add1~36_combout\ & !\Add2~37\)) # (!sig3(19) & ((!\Add2~37\) # (!\Add1~36_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(19),
	datab => \Add1~36_combout\,
	datad => VCC,
	cin => \Add2~37\,
	combout => \Add2~38_combout\,
	cout => \Add2~39\);

-- Location: LCFF_X31_Y11_N7
\rst[19]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~38_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[19]~reg0_regout\);

-- Location: LCFF_X30_Y11_N7
\sig3[19]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(19),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(19));

-- Location: LCCOMB_X26_Y10_N6
\sig2[20]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[20]~feeder_combout\ = sig3(19)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(19),
	combout => \sig2[20]~feeder_combout\);

-- Location: LCFF_X26_Y10_N7
\sig2[20]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[20]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(20));

-- Location: LCFF_X30_Y11_N9
\sig3[20]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(20),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(20));

-- Location: LCCOMB_X31_Y11_N8
\Add2~40\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~40_combout\ = ((\Add1~38_combout\ $ (sig3(20) $ (!\Add2~39\)))) # (GND)
-- \Add2~41\ = CARRY((\Add1~38_combout\ & ((sig3(20)) # (!\Add2~39\))) # (!\Add1~38_combout\ & (sig3(20) & !\Add2~39\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~38_combout\,
	datab => sig3(20),
	datad => VCC,
	cin => \Add2~39\,
	combout => \Add2~40_combout\,
	cout => \Add2~41\);

-- Location: LCFF_X31_Y11_N9
\rst[20]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~40_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[20]~reg0_regout\);

-- Location: LCFF_X26_Y10_N9
\sig2[21]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(20),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(21));

-- Location: LCFF_X30_Y11_N11
\sig3[21]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(21),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(21));

-- Location: LCCOMB_X31_Y11_N10
\Add2~42\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~42_combout\ = (\Add1~40_combout\ & ((sig3(21) & (\Add2~41\ & VCC)) # (!sig3(21) & (!\Add2~41\)))) # (!\Add1~40_combout\ & ((sig3(21) & (!\Add2~41\)) # (!sig3(21) & ((\Add2~41\) # (GND)))))
-- \Add2~43\ = CARRY((\Add1~40_combout\ & (!sig3(21) & !\Add2~41\)) # (!\Add1~40_combout\ & ((!\Add2~41\) # (!sig3(21)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~40_combout\,
	datab => sig3(21),
	datad => VCC,
	cin => \Add2~41\,
	combout => \Add2~42_combout\,
	cout => \Add2~43\);

-- Location: LCFF_X31_Y11_N11
\rst[21]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~42_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[21]~reg0_regout\);

-- Location: LCCOMB_X26_Y10_N2
\sig2[22]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[22]~feeder_combout\ = sig3(21)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(21),
	combout => \sig2[22]~feeder_combout\);

-- Location: LCFF_X26_Y10_N3
\sig2[22]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[22]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(22));

-- Location: LCFF_X30_Y11_N13
\sig3[22]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(22),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(22));

-- Location: LCCOMB_X31_Y11_N12
\Add2~44\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~44_combout\ = ((\Add1~42_combout\ $ (sig3(22) $ (!\Add2~43\)))) # (GND)
-- \Add2~45\ = CARRY((\Add1~42_combout\ & ((sig3(22)) # (!\Add2~43\))) # (!\Add1~42_combout\ & (sig3(22) & !\Add2~43\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~42_combout\,
	datab => sig3(22),
	datad => VCC,
	cin => \Add2~43\,
	combout => \Add2~44_combout\,
	cout => \Add2~45\);

-- Location: LCFF_X31_Y11_N13
\rst[22]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~44_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[22]~reg0_regout\);

-- Location: LCFF_X26_Y10_N29
\sig2[23]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(22),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(23));

-- Location: LCFF_X30_Y11_N15
\sig3[23]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(23),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(23));

-- Location: LCCOMB_X31_Y11_N14
\Add2~46\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~46_combout\ = (\Add1~44_combout\ & ((sig3(23) & (\Add2~45\ & VCC)) # (!sig3(23) & (!\Add2~45\)))) # (!\Add1~44_combout\ & ((sig3(23) & (!\Add2~45\)) # (!sig3(23) & ((\Add2~45\) # (GND)))))
-- \Add2~47\ = CARRY((\Add1~44_combout\ & (!sig3(23) & !\Add2~45\)) # (!\Add1~44_combout\ & ((!\Add2~45\) # (!sig3(23)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~44_combout\,
	datab => sig3(23),
	datad => VCC,
	cin => \Add2~45\,
	combout => \Add2~46_combout\,
	cout => \Add2~47\);

-- Location: LCFF_X31_Y11_N15
\rst[23]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~46_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[23]~reg0_regout\);

-- Location: LCCOMB_X26_Y10_N30
\sig2[24]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[24]~feeder_combout\ = sig3(23)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(23),
	combout => \sig2[24]~feeder_combout\);

-- Location: LCFF_X26_Y10_N31
\sig2[24]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[24]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(24));

-- Location: LCCOMB_X30_Y11_N16
\Add1~46\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~46_combout\ = (sig3(24) & ((sig2(24) & (\Add1~45\ & VCC)) # (!sig2(24) & (!\Add1~45\)))) # (!sig3(24) & ((sig2(24) & (!\Add1~45\)) # (!sig2(24) & ((\Add1~45\) # (GND)))))
-- \Add1~47\ = CARRY((sig3(24) & (!sig2(24) & !\Add1~45\)) # (!sig3(24) & ((!\Add1~45\) # (!sig2(24)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(24),
	datab => sig2(24),
	datad => VCC,
	cin => \Add1~45\,
	combout => \Add1~46_combout\,
	cout => \Add1~47\);

-- Location: LCCOMB_X31_Y11_N16
\Add2~48\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~48_combout\ = ((sig3(24) $ (\Add1~46_combout\ $ (!\Add2~47\)))) # (GND)
-- \Add2~49\ = CARRY((sig3(24) & ((\Add1~46_combout\) # (!\Add2~47\))) # (!sig3(24) & (\Add1~46_combout\ & !\Add2~47\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(24),
	datab => \Add1~46_combout\,
	datad => VCC,
	cin => \Add2~47\,
	combout => \Add2~48_combout\,
	cout => \Add2~49\);

-- Location: LCFF_X31_Y11_N17
\rst[24]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~48_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[24]~reg0_regout\);

-- Location: LCFF_X30_Y11_N17
\sig3[24]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(24),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(24));

-- Location: LCFF_X26_Y10_N17
\sig2[25]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(24),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(25));

-- Location: LCCOMB_X30_Y11_N18
\Add1~48\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~48_combout\ = ((sig3(25) $ (sig2(25) $ (!\Add1~47\)))) # (GND)
-- \Add1~49\ = CARRY((sig3(25) & ((sig2(25)) # (!\Add1~47\))) # (!sig3(25) & (sig2(25) & !\Add1~47\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(25),
	datab => sig2(25),
	datad => VCC,
	cin => \Add1~47\,
	combout => \Add1~48_combout\,
	cout => \Add1~49\);

-- Location: LCCOMB_X31_Y11_N18
\Add2~50\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~50_combout\ = (sig3(25) & ((\Add1~48_combout\ & (\Add2~49\ & VCC)) # (!\Add1~48_combout\ & (!\Add2~49\)))) # (!sig3(25) & ((\Add1~48_combout\ & (!\Add2~49\)) # (!\Add1~48_combout\ & ((\Add2~49\) # (GND)))))
-- \Add2~51\ = CARRY((sig3(25) & (!\Add1~48_combout\ & !\Add2~49\)) # (!sig3(25) & ((!\Add2~49\) # (!\Add1~48_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(25),
	datab => \Add1~48_combout\,
	datad => VCC,
	cin => \Add2~49\,
	combout => \Add2~50_combout\,
	cout => \Add2~51\);

-- Location: LCFF_X31_Y11_N19
\rst[25]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~50_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[25]~reg0_regout\);

-- Location: LCFF_X30_Y11_N19
\sig3[25]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(25),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(25));

-- Location: LCCOMB_X26_Y10_N18
\sig2[26]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[26]~feeder_combout\ = sig3(25)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(25),
	combout => \sig2[26]~feeder_combout\);

-- Location: LCFF_X26_Y10_N19
\sig2[26]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[26]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(26));

-- Location: LCFF_X30_Y11_N21
\sig3[26]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(26),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(26));

-- Location: LCCOMB_X31_Y11_N20
\Add2~52\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~52_combout\ = ((\Add1~50_combout\ $ (sig3(26) $ (!\Add2~51\)))) # (GND)
-- \Add2~53\ = CARRY((\Add1~50_combout\ & ((sig3(26)) # (!\Add2~51\))) # (!\Add1~50_combout\ & (sig3(26) & !\Add2~51\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Add1~50_combout\,
	datab => sig3(26),
	datad => VCC,
	cin => \Add2~51\,
	combout => \Add2~52_combout\,
	cout => \Add2~53\);

-- Location: LCFF_X31_Y11_N21
\rst[26]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~52_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[26]~reg0_regout\);

-- Location: LCFF_X26_Y10_N21
\sig2[27]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(26),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(27));

-- Location: LCFF_X30_Y11_N23
\sig3[27]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(27),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(27));

-- Location: LCCOMB_X30_Y11_N22
\Add1~52\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~52_combout\ = ((sig2(27) $ (sig3(27) $ (!\Add1~51\)))) # (GND)
-- \Add1~53\ = CARRY((sig2(27) & ((sig3(27)) # (!\Add1~51\))) # (!sig2(27) & (sig3(27) & !\Add1~51\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(27),
	datab => sig3(27),
	datad => VCC,
	cin => \Add1~51\,
	combout => \Add1~52_combout\,
	cout => \Add1~53\);

-- Location: LCCOMB_X31_Y11_N22
\Add2~54\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~54_combout\ = (sig3(27) & ((\Add1~52_combout\ & (\Add2~53\ & VCC)) # (!\Add1~52_combout\ & (!\Add2~53\)))) # (!sig3(27) & ((\Add1~52_combout\ & (!\Add2~53\)) # (!\Add1~52_combout\ & ((\Add2~53\) # (GND)))))
-- \Add2~55\ = CARRY((sig3(27) & (!\Add1~52_combout\ & !\Add2~53\)) # (!sig3(27) & ((!\Add2~53\) # (!\Add1~52_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(27),
	datab => \Add1~52_combout\,
	datad => VCC,
	cin => \Add2~53\,
	combout => \Add2~54_combout\,
	cout => \Add2~55\);

-- Location: LCFF_X31_Y11_N23
\rst[27]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~54_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[27]~reg0_regout\);

-- Location: LCCOMB_X26_Y10_N14
\sig2[28]~feeder\ : cycloneii_lcell_comb
-- Equation(s):
-- \sig2[28]~feeder_combout\ = sig3(27)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => sig3(27),
	combout => \sig2[28]~feeder_combout\);

-- Location: LCFF_X26_Y10_N15
\sig2[28]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \sig2[28]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(28));

-- Location: LCCOMB_X30_Y11_N24
\Add1~54\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~54_combout\ = (sig3(28) & ((sig2(28) & (\Add1~53\ & VCC)) # (!sig2(28) & (!\Add1~53\)))) # (!sig3(28) & ((sig2(28) & (!\Add1~53\)) # (!sig2(28) & ((\Add1~53\) # (GND)))))
-- \Add1~55\ = CARRY((sig3(28) & (!sig2(28) & !\Add1~53\)) # (!sig3(28) & ((!\Add1~53\) # (!sig2(28)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(28),
	datab => sig2(28),
	datad => VCC,
	cin => \Add1~53\,
	combout => \Add1~54_combout\,
	cout => \Add1~55\);

-- Location: LCCOMB_X31_Y11_N24
\Add2~56\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~56_combout\ = ((sig3(28) $ (\Add1~54_combout\ $ (!\Add2~55\)))) # (GND)
-- \Add2~57\ = CARRY((sig3(28) & ((\Add1~54_combout\) # (!\Add2~55\))) # (!sig3(28) & (\Add1~54_combout\ & !\Add2~55\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(28),
	datab => \Add1~54_combout\,
	datad => VCC,
	cin => \Add2~55\,
	combout => \Add2~56_combout\,
	cout => \Add2~57\);

-- Location: LCFF_X31_Y11_N25
\rst[28]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~56_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[28]~reg0_regout\);

-- Location: LCFF_X30_Y11_N25
\sig3[28]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(28),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(28));

-- Location: LCFF_X26_Y10_N25
\sig2[29]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(28),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(29));

-- Location: LCFF_X30_Y11_N27
\sig3[29]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(29),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(29));

-- Location: LCCOMB_X30_Y11_N26
\Add1~56\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~56_combout\ = ((sig2(29) $ (sig3(29) $ (!\Add1~55\)))) # (GND)
-- \Add1~57\ = CARRY((sig2(29) & ((sig3(29)) # (!\Add1~55\))) # (!sig2(29) & (sig3(29) & !\Add1~55\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig2(29),
	datab => sig3(29),
	datad => VCC,
	cin => \Add1~55\,
	combout => \Add1~56_combout\,
	cout => \Add1~57\);

-- Location: LCCOMB_X31_Y11_N26
\Add2~58\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~58_combout\ = (sig3(29) & ((\Add1~56_combout\ & (\Add2~57\ & VCC)) # (!\Add1~56_combout\ & (!\Add2~57\)))) # (!sig3(29) & ((\Add1~56_combout\ & (!\Add2~57\)) # (!\Add1~56_combout\ & ((\Add2~57\) # (GND)))))
-- \Add2~59\ = CARRY((sig3(29) & (!\Add1~56_combout\ & !\Add2~57\)) # (!sig3(29) & ((!\Add2~57\) # (!\Add1~56_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(29),
	datab => \Add1~56_combout\,
	datad => VCC,
	cin => \Add2~57\,
	combout => \Add2~58_combout\,
	cout => \Add2~59\);

-- Location: LCFF_X31_Y11_N27
\rst[29]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~58_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[29]~reg0_regout\);

-- Location: LCFF_X30_Y11_N29
\sig2[30]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(29),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(30));

-- Location: LCCOMB_X30_Y11_N28
\Add1~58\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~58_combout\ = (sig3(30) & ((sig2(30) & (\Add1~57\ & VCC)) # (!sig2(30) & (!\Add1~57\)))) # (!sig3(30) & ((sig2(30) & (!\Add1~57\)) # (!sig2(30) & ((\Add1~57\) # (GND)))))
-- \Add1~59\ = CARRY((sig3(30) & (!sig2(30) & !\Add1~57\)) # (!sig3(30) & ((!\Add1~57\) # (!sig2(30)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(30),
	datab => sig2(30),
	datad => VCC,
	cin => \Add1~57\,
	combout => \Add1~58_combout\,
	cout => \Add1~59\);

-- Location: LCCOMB_X31_Y11_N28
\Add2~60\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~60_combout\ = ((sig3(30) $ (\Add1~58_combout\ $ (!\Add2~59\)))) # (GND)
-- \Add2~61\ = CARRY((sig3(30) & ((\Add1~58_combout\) # (!\Add2~59\))) # (!sig3(30) & (\Add1~58_combout\ & !\Add2~59\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => sig3(30),
	datab => \Add1~58_combout\,
	datad => VCC,
	cin => \Add2~59\,
	combout => \Add2~60_combout\,
	cout => \Add2~61\);

-- Location: LCFF_X31_Y11_N29
\rst[30]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \Add2~60_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[30]~reg0_regout\);

-- Location: LCFF_X26_Y10_N27
\sig3[30]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(30),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(30));

-- Location: LCFF_X30_Y11_N31
\sig2[31]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig3(30),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig2(31));

-- Location: LCFF_X31_Y11_N31
\sig3[31]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	sdata => sig2(31),
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => sig3(31));

-- Location: LCCOMB_X30_Y11_N30
\Add1~60\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add1~60_combout\ = sig2(31) $ (\Add1~59\ $ (!sig3(31)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => sig2(31),
	datad => sig3(31),
	cin => \Add1~59\,
	combout => \Add1~60_combout\);

-- Location: LCCOMB_X31_Y11_N30
\Add2~62\ : cycloneii_lcell_comb
-- Equation(s):
-- \Add2~62_combout\ = sig3(31) $ (\Add2~61\ $ (\Add1~60_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => sig3(31),
	datad => \Add1~60_combout\,
	cin => \Add2~61\,
	combout => \Add2~62_combout\);

-- Location: LCCOMB_X25_Y13_N0
\rst[31]~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \rst[31]~0_combout\ = !\Add2~62_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Add2~62_combout\,
	combout => \rst[31]~0_combout\);

-- Location: LCFF_X25_Y13_N1
\rst[31]~reg0\ : cycloneii_lcell_ff
PORT MAP (
	clk => \trigger~clkctrl_outclk\,
	datain => \rst[31]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \rst[31]~reg0_regout\);

-- Location: PIN_8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \ALT_INV_rst[0]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(0));

-- Location: PIN_165,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[1]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(1));

-- Location: PIN_96,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[2]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(2));

-- Location: PIN_140,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[3]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(3));

-- Location: PIN_39,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[4]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(4));

-- Location: PIN_161,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[5]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(5));

-- Location: PIN_157,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[6]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(6));

-- Location: PIN_171,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[7]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[7]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(7));

-- Location: PIN_159,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[8]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[8]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(8));

-- Location: PIN_218,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[9]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[9]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(9));

-- Location: PIN_155,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[10]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[10]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(10));

-- Location: PIN_118,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[11]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[11]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(11));

-- Location: PIN_164,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[12]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[12]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(12));

-- Location: PIN_149,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[13]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[13]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(13));

-- Location: PIN_52,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[14]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[14]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(14));

-- Location: PIN_150,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[15]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[15]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(15));

-- Location: PIN_141,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[16]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[16]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(16));

-- Location: PIN_166,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[17]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[17]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(17));

-- Location: PIN_68,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[18]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[18]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(18));

-- Location: PIN_203,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[19]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[19]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(19));

-- Location: PIN_191,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[20]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[20]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(20));

-- Location: PIN_214,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[21]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[21]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(21));

-- Location: PIN_226,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[22]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[22]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(22));

-- Location: PIN_90,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[23]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[23]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(23));

-- Location: PIN_216,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[24]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[24]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(24));

-- Location: PIN_200,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[25]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[25]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(25));

-- Location: PIN_197,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[26]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[26]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(26));

-- Location: PIN_194,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[27]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[27]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(27));

-- Location: PIN_186,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[28]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[28]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(28));

-- Location: PIN_192,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[29]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[29]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(29));

-- Location: PIN_199,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[30]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \rst[30]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(30));

-- Location: PIN_208,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\rst[31]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \ALT_INV_rst[31]~reg0_regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_rst(31));
END structure;


