-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 197 01/19/2011 Service Pack 1 SJ Web Edition"

-- DATE "03/15/2011 16:50:35"

-- 
-- Device: Altera EP2C20Q240C8 Package PQFP240
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	shift_register_nbit IS
    PORT (
	din : IN std_logic;
	clk : IN std_logic;
	set : IN std_logic;
	reset : IN std_logic;
	dout : OUT std_logic
	);
END shift_register_nbit;

-- Design Ports Information
-- dout	=>  Location: PIN_173,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- reset	=>  Location: PIN_16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- clk	=>  Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- set	=>  Location: PIN_200,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- din	=>  Location: PIN_15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF shift_register_nbit IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_din : std_logic;
SIGNAL ww_clk : std_logic;
SIGNAL ww_set : std_logic;
SIGNAL ww_reset : std_logic;
SIGNAL ww_dout : std_logic;
SIGNAL \clk~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \label1:0:label4:bitR|q~clear_lutclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk~combout\ : std_logic;
SIGNAL \clk~clkctrl_outclk\ : std_logic;
SIGNAL \reset~combout\ : std_logic;
SIGNAL \label1:0:label4:bitR|q~latch_combout\ : std_logic;
SIGNAL \set~combout\ : std_logic;
SIGNAL \label1:0:label4:bitR|q~1_combout\ : std_logic;
SIGNAL \din~combout\ : std_logic;
SIGNAL \label1:31:label2:bitL|q~data_lut_combout\ : std_logic;
SIGNAL \label1:0:label4:bitR|q~clear_lut_combout\ : std_logic;
SIGNAL \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\ : std_logic;
SIGNAL \label1:31:label2:bitL|q~_emulated_regout\ : std_logic;
SIGNAL \label1:31:label2:bitL|q~head_lut_combout\ : std_logic;
SIGNAL \label1:30:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:30:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:30:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:29:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:29:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:29:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:28:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:28:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:28:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:27:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:27:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:27:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:26:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:26:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:26:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:25:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:25:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:25:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:24:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:24:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:24:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:23:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:23:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:23:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:22:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:22:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:22:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:21:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:21:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:21:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:20:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:20:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:20:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:19:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:19:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:19:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:18:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:18:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:18:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:17:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:17:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:17:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:16:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:16:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:16:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:15:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:15:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:15:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:14:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:14:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:14:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:13:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:13:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:13:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:12:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:12:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:12:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:11:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:11:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:11:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:10:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:10:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:10:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:9:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:9:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:9:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:8:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:8:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:8:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:7:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:7:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:7:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:6:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:6:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:6:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:5:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:5:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:5:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:4:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:4:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:4:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:3:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:3:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:3:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:2:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:2:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:2:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:1:label3:bitM|q~data_lut_combout\ : std_logic;
SIGNAL \label1:1:label3:bitM|q~_emulated_regout\ : std_logic;
SIGNAL \label1:1:label3:bitM|q~head_lut_combout\ : std_logic;
SIGNAL \label1:0:label4:bitR|q~data_lut_combout\ : std_logic;
SIGNAL \label1:0:label4:bitR|q~_emulated_regout\ : std_logic;
SIGNAL \label1:0:label4:bitR|q~head_lut_combout\ : std_logic;

BEGIN

ww_din <= din;
ww_clk <= clk;
ww_set <= set;
ww_reset <= reset;
dout <= ww_dout;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clk~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \clk~combout\);

\label1:0:label4:bitR|q~clear_lutclkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \label1:0:label4:bitR|q~clear_lut_combout\);

-- Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\clk~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_clk,
	combout => \clk~combout\);

-- Location: CLKCTRL_G3
\clk~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk~clkctrl_outclk\);

-- Location: PIN_16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\reset~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_reset,
	combout => \reset~combout\);

-- Location: LCCOMB_X36_Y21_N22
\label1:0:label4:bitR|q~latch\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:0:label4:bitR|q~latch_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:0:label4:bitR|q~latch_combout\,
	combout => \label1:0:label4:bitR|q~latch_combout\);

-- Location: PIN_200,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\set~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_set,
	combout => \set~combout\);

-- Location: LCCOMB_X36_Y21_N20
\label1:0:label4:bitR|q~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:0:label4:bitR|q~1_combout\ = (!\reset~combout\ & \set~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \reset~combout\,
	datad => \set~combout\,
	combout => \label1:0:label4:bitR|q~1_combout\);

-- Location: PIN_15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\din~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_din,
	combout => \din~combout\);

-- Location: LCCOMB_X35_Y20_N20
\label1:31:label2:bitL|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:31:label2:bitL|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\din~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \din~combout\,
	combout => \label1:31:label2:bitL|q~data_lut_combout\);

-- Location: LCCOMB_X36_Y21_N2
\label1:0:label4:bitR|q~clear_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:0:label4:bitR|q~clear_lut_combout\ = (\label1:0:label4:bitR|q~1_combout\) # (\reset~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	combout => \label1:0:label4:bitR|q~clear_lut_combout\);

-- Location: CLKCTRL_G8
\label1:0:label4:bitR|q~clear_lutclkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \label1:0:label4:bitR|q~clear_lutclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\);

-- Location: LCFF_X35_Y20_N3
\label1:31:label2:bitL|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \label1:31:label2:bitL|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:31:label2:bitL|q~_emulated_regout\);

-- Location: LCCOMB_X35_Y20_N2
\label1:31:label2:bitL|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:31:label2:bitL|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:31:label2:bitL|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \reset~combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:31:label2:bitL|q~_emulated_regout\,
	datad => \label1:0:label4:bitR|q~1_combout\,
	combout => \label1:31:label2:bitL|q~head_lut_combout\);

-- Location: LCCOMB_X35_Y20_N30
\label1:30:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:30:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:31:label2:bitL|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:31:label2:bitL|q~head_lut_combout\,
	combout => \label1:30:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X35_Y20_N31
\label1:30:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:30:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:30:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X35_Y20_N0
\label1:30:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:30:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:30:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:30:label3:bitM|q~_emulated_regout\,
	combout => \label1:30:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X35_Y20_N10
\label1:29:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:29:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:30:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:30:label3:bitM|q~head_lut_combout\,
	combout => \label1:29:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X35_Y20_N11
\label1:29:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:29:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:29:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X35_Y20_N28
\label1:29:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:29:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:29:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:29:label3:bitM|q~_emulated_regout\,
	combout => \label1:29:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X35_Y20_N22
\label1:28:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:28:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:29:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:29:label3:bitM|q~head_lut_combout\,
	combout => \label1:28:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X35_Y20_N23
\label1:28:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:28:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:28:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X35_Y20_N8
\label1:28:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:28:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:28:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:28:label3:bitM|q~_emulated_regout\,
	combout => \label1:28:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X35_Y20_N26
\label1:27:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:27:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:28:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:28:label3:bitM|q~head_lut_combout\,
	combout => \label1:27:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X35_Y20_N27
\label1:27:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:27:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:27:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X35_Y20_N12
\label1:27:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:27:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:27:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:27:label3:bitM|q~_emulated_regout\,
	combout => \label1:27:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X35_Y20_N6
\label1:26:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:26:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:27:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:27:label3:bitM|q~head_lut_combout\,
	combout => \label1:26:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X35_Y20_N7
\label1:26:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:26:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:26:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X35_Y20_N24
\label1:26:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:26:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:26:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:26:label3:bitM|q~_emulated_regout\,
	combout => \label1:26:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X35_Y20_N18
\label1:25:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:25:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:26:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:26:label3:bitM|q~head_lut_combout\,
	combout => \label1:25:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X35_Y20_N19
\label1:25:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:25:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:25:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X35_Y20_N4
\label1:25:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:25:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:25:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:25:label3:bitM|q~_emulated_regout\,
	combout => \label1:25:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X35_Y20_N16
\label1:24:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:24:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:25:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:25:label3:bitM|q~head_lut_combout\,
	combout => \label1:24:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X35_Y20_N17
\label1:24:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:24:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:24:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y19_N30
\label1:24:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:24:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:24:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:24:label3:bitM|q~_emulated_regout\,
	combout => \label1:24:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y19_N10
\label1:23:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:23:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:24:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:24:label3:bitM|q~head_lut_combout\,
	combout => \label1:23:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y19_N11
\label1:23:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:23:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:23:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y19_N28
\label1:23:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:23:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:23:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:23:label3:bitM|q~_emulated_regout\,
	combout => \label1:23:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y19_N22
\label1:22:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:22:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:23:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:23:label3:bitM|q~head_lut_combout\,
	combout => \label1:22:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y19_N23
\label1:22:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:22:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:22:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y19_N8
\label1:22:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:22:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:22:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:22:label3:bitM|q~_emulated_regout\,
	combout => \label1:22:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y19_N26
\label1:21:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:21:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:22:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:22:label3:bitM|q~head_lut_combout\,
	combout => \label1:21:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y19_N27
\label1:21:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:21:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:21:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y19_N20
\label1:21:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:21:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:21:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:21:label3:bitM|q~_emulated_regout\,
	combout => \label1:21:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y19_N14
\label1:20:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:20:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:21:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:21:label3:bitM|q~head_lut_combout\,
	combout => \label1:20:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y19_N15
\label1:20:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:20:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:20:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y19_N16
\label1:20:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:20:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:20:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \label1:20:label3:bitM|q~_emulated_regout\,
	datad => \reset~combout\,
	combout => \label1:20:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y19_N2
\label1:19:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:19:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:20:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:20:label3:bitM|q~head_lut_combout\,
	combout => \label1:19:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y19_N3
\label1:19:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:19:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:19:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y19_N12
\label1:19:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:19:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:19:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:19:label3:bitM|q~_emulated_regout\,
	combout => \label1:19:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y19_N6
\label1:18:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:18:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:19:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:19:label3:bitM|q~head_lut_combout\,
	combout => \label1:18:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y19_N7
\label1:18:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:18:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:18:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y19_N0
\label1:18:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:18:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:18:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:18:label3:bitM|q~_emulated_regout\,
	combout => \label1:18:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y19_N18
\label1:17:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:17:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:18:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:18:label3:bitM|q~head_lut_combout\,
	combout => \label1:17:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y19_N19
\label1:17:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:17:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:17:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y19_N4
\label1:17:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:17:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:17:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:17:label3:bitM|q~_emulated_regout\,
	combout => \label1:17:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y19_N24
\label1:16:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:16:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:17:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:17:label3:bitM|q~head_lut_combout\,
	combout => \label1:16:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y19_N25
\label1:16:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:16:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:16:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X37_Y20_N30
\label1:16:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:16:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:16:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:16:label3:bitM|q~_emulated_regout\,
	combout => \label1:16:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X37_Y20_N10
\label1:15:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:15:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:16:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:16:label3:bitM|q~head_lut_combout\,
	combout => \label1:15:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X37_Y20_N11
\label1:15:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:15:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:15:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X37_Y20_N12
\label1:15:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:15:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:15:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:15:label3:bitM|q~_emulated_regout\,
	combout => \label1:15:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X37_Y20_N22
\label1:14:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:14:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:15:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:15:label3:bitM|q~head_lut_combout\,
	combout => \label1:14:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X37_Y20_N23
\label1:14:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:14:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:14:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X37_Y20_N16
\label1:14:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:14:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:14:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:14:label3:bitM|q~_emulated_regout\,
	combout => \label1:14:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X37_Y20_N2
\label1:13:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:13:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:14:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:14:label3:bitM|q~head_lut_combout\,
	combout => \label1:13:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X37_Y20_N3
\label1:13:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:13:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:13:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X37_Y20_N28
\label1:13:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:13:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:13:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:13:label3:bitM|q~_emulated_regout\,
	combout => \label1:13:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X37_Y20_N14
\label1:12:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:12:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:13:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:13:label3:bitM|q~head_lut_combout\,
	combout => \label1:12:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X37_Y20_N15
\label1:12:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:12:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:12:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X37_Y20_N0
\label1:12:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:12:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:12:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \reset~combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:12:label3:bitM|q~_emulated_regout\,
	datad => \label1:0:label4:bitR|q~1_combout\,
	combout => \label1:12:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X37_Y20_N18
\label1:11:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:11:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:12:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:12:label3:bitM|q~head_lut_combout\,
	combout => \label1:11:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X37_Y20_N19
\label1:11:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:11:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:11:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X37_Y20_N4
\label1:11:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:11:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:11:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:11:label3:bitM|q~_emulated_regout\,
	combout => \label1:11:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X37_Y20_N6
\label1:10:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:10:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:11:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:11:label3:bitM|q~head_lut_combout\,
	combout => \label1:10:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X37_Y20_N7
\label1:10:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:10:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:10:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X37_Y20_N8
\label1:10:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:10:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:10:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:10:label3:bitM|q~_emulated_regout\,
	combout => \label1:10:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X37_Y20_N26
\label1:9:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:9:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:10:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:10:label3:bitM|q~head_lut_combout\,
	combout => \label1:9:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X37_Y20_N27
\label1:9:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:9:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:9:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X37_Y20_N20
\label1:9:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:9:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:9:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~1_combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \reset~combout\,
	datad => \label1:9:label3:bitM|q~_emulated_regout\,
	combout => \label1:9:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X37_Y20_N24
\label1:8:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:8:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:9:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:9:label3:bitM|q~head_lut_combout\,
	combout => \label1:8:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X37_Y20_N25
\label1:8:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:8:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:8:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y20_N22
\label1:8:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:8:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:8:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:8:label3:bitM|q~_emulated_regout\,
	combout => \label1:8:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y20_N10
\label1:7:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:7:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:8:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:8:label3:bitM|q~head_lut_combout\,
	combout => \label1:7:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y20_N11
\label1:7:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:7:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:7:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y20_N20
\label1:7:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:7:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:7:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:7:label3:bitM|q~_emulated_regout\,
	combout => \label1:7:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y20_N14
\label1:6:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:6:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:7:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:7:label3:bitM|q~head_lut_combout\,
	combout => \label1:6:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y20_N15
\label1:6:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:6:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:6:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y20_N0
\label1:6:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:6:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:6:label3:bitM|q~_emulated_regout\ $ (\label1:0:label4:bitR|q~latch_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010101010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \reset~combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \label1:6:label3:bitM|q~_emulated_regout\,
	datad => \label1:0:label4:bitR|q~latch_combout\,
	combout => \label1:6:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y20_N18
\label1:5:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:5:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:6:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:6:label3:bitM|q~head_lut_combout\,
	combout => \label1:5:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y20_N19
\label1:5:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:5:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:5:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y20_N12
\label1:5:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:5:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:5:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:5:label3:bitM|q~_emulated_regout\,
	combout => \label1:5:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y20_N6
\label1:4:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:4:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:5:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:5:label3:bitM|q~head_lut_combout\,
	combout => \label1:4:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y20_N7
\label1:4:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:4:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:4:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y20_N24
\label1:4:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:4:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:4:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:4:label3:bitM|q~_emulated_regout\,
	combout => \label1:4:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y20_N26
\label1:3:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:3:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:4:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:4:label3:bitM|q~head_lut_combout\,
	combout => \label1:3:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y20_N27
\label1:3:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:3:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:3:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y20_N4
\label1:3:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:3:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:3:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:3:label3:bitM|q~_emulated_regout\,
	combout => \label1:3:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y20_N30
\label1:2:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:2:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:3:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:3:label3:bitM|q~head_lut_combout\,
	combout => \label1:2:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y20_N31
\label1:2:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:2:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:2:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y20_N8
\label1:2:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:2:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:2:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:2:label3:bitM|q~_emulated_regout\,
	combout => \label1:2:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y20_N2
\label1:1:label3:bitM|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:1:label3:bitM|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:2:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:2:label3:bitM|q~head_lut_combout\,
	combout => \label1:1:label3:bitM|q~data_lut_combout\);

-- Location: LCFF_X36_Y20_N3
\label1:1:label3:bitM|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:1:label3:bitM|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:1:label3:bitM|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y20_N28
\label1:1:label3:bitM|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:1:label3:bitM|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:1:label3:bitM|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \label1:0:label4:bitR|q~latch_combout\,
	datab => \label1:0:label4:bitR|q~1_combout\,
	datac => \reset~combout\,
	datad => \label1:1:label3:bitM|q~_emulated_regout\,
	combout => \label1:1:label3:bitM|q~head_lut_combout\);

-- Location: LCCOMB_X36_Y20_N16
\label1:0:label4:bitR|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:0:label4:bitR|q~data_lut_combout\ = \label1:0:label4:bitR|q~latch_combout\ $ (\label1:1:label3:bitM|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \label1:0:label4:bitR|q~latch_combout\,
	datad => \label1:1:label3:bitM|q~head_lut_combout\,
	combout => \label1:0:label4:bitR|q~data_lut_combout\);

-- Location: LCFF_X36_Y20_N17
\label1:0:label4:bitR|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \label1:0:label4:bitR|q~data_lut_combout\,
	aclr => \label1:0:label4:bitR|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \label1:0:label4:bitR|q~_emulated_regout\);

-- Location: LCCOMB_X36_Y21_N8
\label1:0:label4:bitR|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \label1:0:label4:bitR|q~head_lut_combout\ = (!\reset~combout\ & ((\label1:0:label4:bitR|q~1_combout\) # (\label1:0:label4:bitR|q~latch_combout\ $ (\label1:0:label4:bitR|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000101010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \reset~combout\,
	datab => \label1:0:label4:bitR|q~latch_combout\,
	datac => \label1:0:label4:bitR|q~1_combout\,
	datad => \label1:0:label4:bitR|q~_emulated_regout\,
	combout => \label1:0:label4:bitR|q~head_lut_combout\);

-- Location: PIN_173,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\dout~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \label1:0:label4:bitR|q~head_lut_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_dout);
END structure;


