
-- Testbench for the counter.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY counter_vhd_tst IS
END counter_vhd_tst;

ARCHITECTURE counter_arch OF counter_vhd_tst IS                                          
	SIGNAL clk : STD_LOGIC;
	SIGNAL q1, q2 : STD_LOGIC_VECTOR (4 DOWNTO 0);
	COMPONENT counter
		PORT ( clk : IN STD_LOGIC; q1, q2: OUT STD_LOGIC_VECTOR (4 DOWNTO 0));
	END COMPONENT;
BEGIN
	i1 : counter PORT MAP ( clk, q1, q2 );

	PROCESS                                               
	BEGIN                                                        
		clk <= '0'; wait for 50 ns; 
		clk <= '1'; wait for 50 ns; 		
		clk <= '0'; wait for 50 ns; 
		clk <= '1'; wait for 50 ns; 
		clk <= '0'; wait for 50 ns; 
		clk <= '1'; wait for 50 ns; 
		clk <= '0'; wait for 50 ns; 
		clk <= '1'; wait for 50 ns; 
		clk <= '0'; wait for 50 ns; 		
		WAIT;                                                       
	END PROCESS;                                                                 
END counter_arch;
