
-- Alternative counter using variables, Slide 25.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;    
USE ieee.std_logic_unsigned.all;

entity counter is
	port ( clk: in std_logic; q: out std_logic_vector (4 downto 0) );
end counter;

architecture behavior of counter is
begin
	process ( clk )
		variable cnt: std_logic_vector (4 downto 0) := "00000";
	begin
		if clk = '1' then cnt := cnt + 1; end if;		
		q <= cnt;
	end process;
end behavior;