
-- Or Gate using std_logic, Slide 51.
-- Tobias Schubert, 2011.

library ieee;
use ieee.std_logic_1164.all;

entity orGateSTD is
	port ( a, b: in std_logic; c: out std_logic );
end orGateSTD;

architecture arch1 of orGateSTD is
begin
	c <= a or b;
end arch1;

-- Deactivated "arch2" manually, can be done with configurations, too.
--architecture arch2 of orGateSTD is
--begin
--	c <= '1' when (a = '1' or b = '1') else '0';
--end arch2;