
-- DFF, Slide 84.
-- Tobias Schubert, 2011.

library ieee;
use ieee.std_logic_1164.all;

entity flipflop is
	port ( data, clk, set, reset: in std_logic; q: out std_logic );
end flipflop;

architecture behavior of flipflop is
begin
	process ( clk, set, reset )
	begin
		if reset = '1' then
			q <= '0';
		elsif set = '1' then
			q <= '1';
		elsif (clk'event and clk = '1') then
			q <= data;
		end if;
	end process;
end behavior;