
-- 8-bit 4-to-1 multiplexer, Slide 85.
-- Tobias Schubert, 2011.

library ieee;
use ieee.std_logic_1164.all;

entity mux_4_to_1_8bit is
	port ( i3, i2, i1, i0: in std_logic_vector (7 downto 0);
			sel: in std_logic_vector (1 downto 0);
			otp: out std_logic_vector (7 downto 0) );
end mux_4_to_1_8bit;

architecture behavior of mux_4_to_1_8bit is
begin
	process ( i3, i2, i1, i0, sel )
	begin
		if sel = "11" then otp <= i3;
		elsif sel = "10" then otp <= i2;
		elsif sel = "01" then otp <= i1;
		elsif sel = "00" then otp <= i0;
		end if;
	end process;
end behavior;