
-- Testbench for the xnor Gate.
-- Tobias Schubert, 2011. 

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY xnorGate_vhd_tst IS
END xnorGate_vhd_tst;

ARCHITECTURE xnorGate_arch OF xnorGate_vhd_tst IS                                                  
	SIGNAL a : STD_LOGIC;
	SIGNAL b : STD_LOGIC;
	SIGNAL c : STD_LOGIC;
	SIGNAL x : STD_LOGIC;
	SIGNAL y : STD_LOGIC;	
	COMPONENT xnorGate
		PORT (
		a : IN STD_LOGIC;
		b : IN STD_LOGIC;
		c : OUT STD_LOGIC;
		x : INOUT STD_LOGIC;
		y : INOUT STD_LOGIC
		);
	END COMPONENT;
BEGIN
	i1 : xnorGate
	PORT MAP ( a => a, b => b, c => c, x => x, y => y );
	
	PROCESS                                                                                    
	BEGIN                                                        
      a <= '0'; b <= '0'; wait for 50 ns;		
      a <= '0'; b <= '1'; wait for 50 ns;				
      a <= '1'; b <= '0'; wait for 50 ns;		
      a <= '1'; b <= '1'; wait for 50 ns;	                      
	WAIT;                                                       
	END PROCESS;                                           
                               
END xnorGate_arch;
