-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 197 01/19/2011 Service Pack 1 SJ Web Edition"

-- DATE "03/15/2011 14:03:22"

-- 
-- Device: Altera EP2C20Q240C8 Package PQFP240
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	shift_register_4bit IS
    PORT (
	din : IN std_logic;
	clk : IN std_logic;
	set : IN std_logic;
	reset : IN std_logic;
	dout : OUT std_logic
	);
END shift_register_4bit;

-- Design Ports Information
-- dout	=>  Location: PIN_6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- reset	=>  Location: PIN_73,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- clk	=>  Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- set	=>  Location: PIN_233,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- din	=>  Location: PIN_68,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF shift_register_4bit IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_din : std_logic;
SIGNAL ww_clk : std_logic;
SIGNAL ww_set : std_logic;
SIGNAL ww_reset : std_logic;
SIGNAL ww_dout : std_logic;
SIGNAL \clk~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \bit0|q~clear_lutclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk~combout\ : std_logic;
SIGNAL \clk~clkctrl_outclk\ : std_logic;
SIGNAL \set~combout\ : std_logic;
SIGNAL \reset~combout\ : std_logic;
SIGNAL \bit0|q~1_combout\ : std_logic;
SIGNAL \bit0|q~latch_combout\ : std_logic;
SIGNAL \din~combout\ : std_logic;
SIGNAL \bit3|q~data_lut_combout\ : std_logic;
SIGNAL \bit0|q~clear_lut_combout\ : std_logic;
SIGNAL \bit0|q~clear_lutclkctrl_outclk\ : std_logic;
SIGNAL \bit3|q~_emulated_regout\ : std_logic;
SIGNAL \bit3|q~head_lut_combout\ : std_logic;
SIGNAL \bit2|q~data_lut_combout\ : std_logic;
SIGNAL \bit2|q~_emulated_regout\ : std_logic;
SIGNAL \bit2|q~head_lut_combout\ : std_logic;
SIGNAL \bit1|q~data_lut_combout\ : std_logic;
SIGNAL \bit1|q~_emulated_regout\ : std_logic;
SIGNAL \bit1|q~head_lut_combout\ : std_logic;
SIGNAL \bit0|q~data_lut_combout\ : std_logic;
SIGNAL \bit0|q~_emulated_regout\ : std_logic;
SIGNAL \bit0|q~head_lut_combout\ : std_logic;

BEGIN

ww_din <= din;
ww_clk <= clk;
ww_set <= set;
ww_reset <= reset;
dout <= ww_dout;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clk~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \clk~combout\);

\bit0|q~clear_lutclkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \bit0|q~clear_lut_combout\);

-- Location: PIN_34,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\clk~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_clk,
	combout => \clk~combout\);

-- Location: CLKCTRL_G3
\clk~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk~clkctrl_outclk\);

-- Location: PIN_233,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\set~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_set,
	combout => \set~combout\);

-- Location: PIN_73,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\reset~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_reset,
	combout => \reset~combout\);

-- Location: LCCOMB_X2_Y26_N22
\bit0|q~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit0|q~1_combout\ = (\set~combout\ & !\reset~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \set~combout\,
	datad => \reset~combout\,
	combout => \bit0|q~1_combout\);

-- Location: LCCOMB_X2_Y26_N12
\bit0|q~latch\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit0|q~latch_combout\ = (!\reset~combout\ & ((\bit0|q~1_combout\) # (\bit0|q~latch_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \bit0|q~1_combout\,
	datac => \reset~combout\,
	datad => \bit0|q~latch_combout\,
	combout => \bit0|q~latch_combout\);

-- Location: PIN_68,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\din~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_din,
	combout => \din~combout\);

-- Location: LCCOMB_X2_Y26_N2
\bit3|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit3|q~data_lut_combout\ = \bit0|q~latch_combout\ $ (\din~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \bit0|q~latch_combout\,
	datad => \din~combout\,
	combout => \bit3|q~data_lut_combout\);

-- Location: LCCOMB_X2_Y26_N20
\bit0|q~clear_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit0|q~clear_lut_combout\ = (\bit0|q~1_combout\) # (\reset~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \bit0|q~1_combout\,
	datad => \reset~combout\,
	combout => \bit0|q~clear_lut_combout\);

-- Location: CLKCTRL_G10
\bit0|q~clear_lutclkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \bit0|q~clear_lutclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \bit0|q~clear_lutclkctrl_outclk\);

-- Location: LCFF_X2_Y26_N25
\bit3|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	sdata => \bit3|q~data_lut_combout\,
	aclr => \bit0|q~clear_lutclkctrl_outclk\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \bit3|q~_emulated_regout\);

-- Location: LCCOMB_X2_Y26_N24
\bit3|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit3|q~head_lut_combout\ = (!\reset~combout\ & ((\bit0|q~1_combout\) # (\bit0|q~latch_combout\ $ (\bit3|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \bit0|q~latch_combout\,
	datab => \bit0|q~1_combout\,
	datac => \bit3|q~_emulated_regout\,
	datad => \reset~combout\,
	combout => \bit3|q~head_lut_combout\);

-- Location: LCCOMB_X2_Y26_N28
\bit2|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit2|q~data_lut_combout\ = \bit0|q~latch_combout\ $ (\bit3|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \bit0|q~latch_combout\,
	datac => \bit3|q~head_lut_combout\,
	combout => \bit2|q~data_lut_combout\);

-- Location: LCFF_X2_Y26_N29
\bit2|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \bit2|q~data_lut_combout\,
	aclr => \bit0|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \bit2|q~_emulated_regout\);

-- Location: LCCOMB_X2_Y26_N30
\bit2|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit2|q~head_lut_combout\ = (!\reset~combout\ & ((\bit0|q~1_combout\) # (\bit0|q~latch_combout\ $ (\bit2|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \bit0|q~latch_combout\,
	datab => \bit0|q~1_combout\,
	datac => \reset~combout\,
	datad => \bit2|q~_emulated_regout\,
	combout => \bit2|q~head_lut_combout\);

-- Location: LCCOMB_X2_Y26_N0
\bit1|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit1|q~data_lut_combout\ = \bit0|q~latch_combout\ $ (\bit2|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \bit0|q~latch_combout\,
	datad => \bit2|q~head_lut_combout\,
	combout => \bit1|q~data_lut_combout\);

-- Location: LCFF_X2_Y26_N1
\bit1|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \bit1|q~data_lut_combout\,
	aclr => \bit0|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \bit1|q~_emulated_regout\);

-- Location: LCCOMB_X2_Y26_N10
\bit1|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit1|q~head_lut_combout\ = (!\reset~combout\ & ((\bit0|q~1_combout\) # (\bit0|q~latch_combout\ $ (\bit1|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110100001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \bit0|q~latch_combout\,
	datab => \bit0|q~1_combout\,
	datac => \reset~combout\,
	datad => \bit1|q~_emulated_regout\,
	combout => \bit1|q~head_lut_combout\);

-- Location: LCCOMB_X2_Y26_N8
\bit0|q~data_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit0|q~data_lut_combout\ = \bit0|q~latch_combout\ $ (\bit1|q~head_lut_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \bit0|q~latch_combout\,
	datad => \bit1|q~head_lut_combout\,
	combout => \bit0|q~data_lut_combout\);

-- Location: LCFF_X2_Y26_N9
\bit0|q~_emulated\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \bit0|q~data_lut_combout\,
	aclr => \bit0|q~clear_lutclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \bit0|q~_emulated_regout\);

-- Location: LCCOMB_X2_Y26_N18
\bit0|q~head_lut\ : cycloneii_lcell_comb
-- Equation(s):
-- \bit0|q~head_lut_combout\ = (!\reset~combout\ & ((\bit0|q~1_combout\) # (\bit0|q~latch_combout\ $ (\bit0|q~_emulated_regout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \bit0|q~latch_combout\,
	datab => \bit0|q~1_combout\,
	datac => \bit0|q~_emulated_regout\,
	datad => \reset~combout\,
	combout => \bit0|q~head_lut_combout\);

-- Location: PIN_6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\dout~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \bit0|q~head_lut_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_dout);
END structure;


