
-- Testbench configurations.
-- Tobias Schubert, 2011.

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY test_vhd_tst IS
END test_vhd_tst;

ARCHITECTURE test_arch OF test_vhd_tst IS                                          
	SIGNAL a : STD_LOGIC;
	SIGNAL b : STD_LOGIC;
	SIGNAL c : STD_LOGIC;
	SIGNAL d : STD_LOGIC;
	SIGNAL x : STD_LOGIC;
	SIGNAL y : STD_LOGIC;
	COMPONENT test
		PORT (
		a : IN STD_LOGIC;
		b : IN STD_LOGIC;
		c : IN STD_LOGIC;
		d : IN STD_LOGIC;
		x : OUT STD_LOGIC;
		y : OUT STD_LOGIC
		);
	END COMPONENT;
BEGIN
	i1 : test
	PORT MAP ( a => a, b => b, c => c, d => d, x => x, y => y );
	
	PROCESS                                                                                 
	BEGIN                                                    	    
      a <= '1';
		b <= '0';
		c <= '1';
		d <= '0';
		wait for 100ns;
		WAIT;                                                       
	END PROCESS;                                          
END test_arch;
